//---------------------------------------------------------------------------
// Script file for the level 4 of the airport
// Geoffroy Audy, October 17th 1996
//---------------------------------------------------------------------------

define  DOOR1      0
define  DOOR2      1
define  DOOR3      2
define  DOOR4      3
define  GUN        4
define  WINDOW1    5
define  WINDOW2    6
define  WINDOW3    7
define  WINDOW4    8
define  WINDOW5    9
define  WINDOW6    10
define  WINDOW7    11
define  WINDOW8    12
define  WINDOW9    13
define  WINDOW10   14
define  WINDOW11   15
define  WINDOW12   16
define  WINDOW13   17
define  WINDOW14   18
define  WINDOW15   19
define  WINDOW16   20
define  WINDOW17   21
define  WINDOW18   22
define  WINDOW19   23
define  WINDOW20   24
define  WINDOW21   25
define  WINDOW22   26
define  WINDOW23   27
define  WINDOW24   28
define  WINDOW25   29
define  WORKER1    30
define  WORKER2    31
define  WORKER3    32
define  WORKER4    33
define  WORKER5    34
define  WORKER6    35
define  WORKER7    36
define  WORKER8    37
define  WORKER9    38
define  WORKER10   39
define  WORKER11   40
define  WORKER12   41
define  WORKER13   42
define  WORKER14   43
define  WORKER15   44
define  WORKER16   45
define  WORKER17   46
define  WORKER18   47
define  WORKER19   48
define  WORKER20   49
define  WORKER21   50
define  WORKER22   51
define  WORKER23   52
define  WORKER24   53
define  WORKER25   54
define  WORKER26   55
define  WORKER27   56
define  WORKER28   57
define  WORKER29   58
define  WORKER30   59
define  WORKER31   60
define  WORKER32   61
define  WORKER33   62
define  WORKER34   63
define  WORKER35   64
define  GUERILLA1  65
define  GUERILLA2  66
define  GUERILLA3  67
define  GUERILLA4  68
define  GUERILLA5  69
define  GUERILLA6  70
define  GUERILLA7  71
define  GUERILLA8  72
define  GUERILLA9  73
define  GUERILLA10 74
define  GUERILLA11 75
define  JERRY1     76
define  JERRY2     77
define  JERRY3     78
define  JERRY4     79
define  JERRY5     80
define  BOSS       81
define  MISSILE1   82
define  MISSILE2   83
define  MISSILE3   84
define  MISSILE4   85
define  EXTRAGUY1  86
define  EXTRAGUY2  87
define  EXTRAGUY3  88
define  EXTRAGUY4  89
define  EXTRAGUY5  90
define  EXTRAGUY6  91
define  EXTRAGUY7  92
define  EXTRAGUY8  93
define  EXTRAGUY9  94
define  EXTRAGUY10 95
define  EXTRAGUY11 96
define  EXTRAGUY12 97
define  EXTRAGUY13 98
define  EXTRAGUY14 99
define  EXTRAGUY15 100
define  EXTRAGUY16 101
define  EXTRAGUY17 102
define  EXTRAGUY18 103
define  EXTRAGUY19 104
define  EXTRAGUY20 105
define  EXTRAGUY21 106
define  EXTRAGUY22 107
define  EXTRAGUY23 108
define  EXTRAGUY24 109
define  EXTRAGUY25 110
define  PATCH      111

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\AIRPORT\AIRPORT4.BKD          // BKD 0
setBKDLoc 0 -704 0 0                             //
loadVAB \SOUNDFX\AIRPORT.VAB                    // Sound fx

loadKRT \SPRITES\AIRPORT\LEVEL4\PLDOOR.KRT      // Char 0
ObjectCharacteristics DOOR1 1152                // Animated object
CloneCharacter DOOR1                            // Char 1
CloneCharacter DOOR1                            // Char 2
CloneCharacter DOOR1                            // Char 3
SetScale DOOR1 4096
SetScale DOOR2 4096
SetScale DOOR3 3200
SetScale DOOR4 4096
loadKRT \SPRITES\AIRPORT\LEVEL1\WEAPON1.KRT     // Char 4
ObjectCharacteristics GUN 1032                  // Char 4 is a gun
loadKRT \SPRITES\AIRPORT\LEVEL4\WINDOW.KRT      // Char 5
ObjectCharacteristics WINDOW1 1056              // Char 5 is a window
CloneCharacter WINDOW1                          // Char 6
CloneCharacter WINDOW1                          // Char 7
CloneCharacter WINDOW1                          // Char 8
CloneCharacter WINDOW1                          // Char 9
CloneCharacter WINDOW1                          // Char 10
CloneCharacter WINDOW1                          // Char 11
CloneCharacter WINDOW1                          // Char 12
CloneCharacter WINDOW1                          // Char 13
CloneCharacter WINDOW1                          // Char 14
CloneCharacter WINDOW1                          // Char 15
CloneCharacter WINDOW1                          // Char 16
CloneCharacter WINDOW1                          // Char 17
CloneCharacter WINDOW1                          // Char 18
CloneCharacter WINDOW1                          // Char 19
CloneCharacter WINDOW1                          // Char 20
CloneCharacter WINDOW1                          // Char 21
CloneCharacter WINDOW1                          // Char 22
CloneCharacter WINDOW1                          // Char 23
CloneCharacter WINDOW1                          // Char 24
CloneCharacter WINDOW1                          // Char 25
CloneCharacter WINDOW1                          // Char 26
CloneCharacter WINDOW1                          // Char 27
CloneCharacter WINDOW1                          // Char 28
CloneCharacter WINDOW1                          // Char 29
loadKRT \SPRITES\AIRPORT\LEVEL1\WORKER.KRT      // Char 30
CloneCharacter WORKER1                          // Char 31
CloneCharacter WORKER1                          // Char 32
CloneCharacter WORKER1                          // Char 33
CloneCharacter WORKER1                          // Char 34
CloneCharacter WORKER1                          // Char 35
CloneCharacter WORKER1                          // Char 36
CloneCharacter WORKER1                          // Char 37
CloneCharacter WORKER1                          // Char 38
CloneCharacter WORKER1                          // Char 39
CloneCharacter WORKER1                          // Char 40
CloneCharacter WORKER1                          // Char 41
CloneCharacter WORKER1                          // Char 42
CloneCharacter WORKER1                          // Char 43
CloneCharacter WORKER1                          // Char 44
CloneCharacter WORKER1                          // Char 45
CloneCharacter WORKER1                          // Char 46
CloneCharacter WORKER1                          // Char 47
CloneCharacter WORKER1                          // Char 48
CloneCharacter WORKER1                          // Char 49
CloneCharacter WORKER1                          // Char 50
CloneCharacter WORKER1                          // Char 51
CloneCharacter WORKER1                          // Char 52
CloneCharacter WORKER1                          // Char 53
CloneCharacter WORKER1                          // Char 54
CloneCharacter WORKER1                          // Char 55
CloneCharacter WORKER1                          // Char 56
CloneCharacter WORKER1                          // Char 57
CloneCharacter WORKER1                          // Char 58
CloneCharacter WORKER1                          // Char 59
CloneCharacter WORKER1                          // Char 60
CloneCharacter WORKER1                          // Char 61
CloneCharacter WORKER1                          // Char 62
CloneCharacter WORKER1                          // Char 63
CloneCharacter WORKER1                          // Char 64
loadKRT \SPRITES\AIRPORT\LEVEL1\GUERILLA.KRT    // Char 65
CloneCharacter GUERILLA1                        // Char 66
CloneCharacter GUERILLA1                        // Char 67
CloneCharacter GUERILLA1                        // Char 68
CloneCharacter GUERILLA1                        // Char 69
CloneCharacter GUERILLA1                        // Char 70
CloneCharacter GUERILLA1                        // Char 71
CloneCharacter GUERILLA1                        // Char 72
CloneCharacter GUERILLA1                        // Char 73
CloneCharacter GUERILLA1                        // Char 74
CloneCharacter GUERILLA1                        // Char 75
SetScale GUERILLA1 3800
SetScale GUERILLA2 3800
SetScale GUERILLA4 3800
SetScale GUERILLA5 3800
loadKRT \SPRITES\AIRPORT\LEVEL1\JERRY.KRT       // Char 76
CloneCharacter JERRY1                           // Char 77
CloneCharacter JERRY1                           // Char 78
CloneCharacter JERRY1                           // Char 79
CloneCharacter JERRY1                           // Char 80
SetScale JERRY1 3600
SetScale JERRY2 3600
SetScale JERRY3 3600
SetScale JERRY4 3600
SetScale JERRY5 3600
loadKRT \SPRITES\AIRPORT\LEVEL4\BOSS.KRT        // Char 81
ObjectCharacteristics BOSS 2176                 // It's the boss!!!
loadKRT \SPRITES\AIRPORT\LEVEL4\MISSILE.KRT     // Char 82
ObjectCharacteristics MISSILE1 1348             // Char 82 is a thrown object
CloneCharacter MISSILE1                         // Char 83
CloneCharacter MISSILE1                         // Char 84
CloneCharacter MISSILE1                         // Char 85
CloneCharacter WORKER1                          // Char 86
CloneCharacter GUERILLA1                        // Char 87
CloneCharacter WORKER1                          // Char 88
CloneCharacter WORKER1                          // Char 89
CloneCharacter GUERILLA1                        // Char 90
CloneCharacter GUERILLA1                        // Char 91
CloneCharacter WORKER1                          // Char 92
CloneCharacter GUERILLA1                        // Char 93
CloneCharacter WORKER1                          // Char 94
CloneCharacter GUERILLA1                        // Char 95
CloneCharacter WORKER1                          // Char 96
CloneCharacter WORKER1                          // Char 97
CloneCharacter GUERILLA1                        // Char 98
CloneCharacter GUERILLA1                        // Char 99
CloneCharacter WORKER1                          // Char 100
CloneCharacter GUERILLA1                        // Char 101
CloneCharacter WORKER1                          // Char 102
CloneCharacter GUERILLA1                        // Char 103
CloneCharacter WORKER1                          // Char 104
CloneCharacter WORKER1                          // Char 105
CloneCharacter GUERILLA1                        // Char 106
CloneCharacter GUERILLA1                        // Char 107
CloneCharacter WORKER1                          // Char 108
CloneCharacter GUERILLA1                        // Char 109
CloneCharacter WORKER1                          // Char 110
loadKRT \SPRITES\AIRPORT\LEVEL4\PATCHER.KRT     // Char 111
ObjectCharacteristics PATCH 16384               //

PlayTrack 510 0           // Chase2

AssignProjectile BOSS MISSILE1
AssignProjectile BOSS MISSILE2
AssignProjectile BOSS MISSILE3
AssignProjectile BOSS MISSILE4

//-------------------------------------
// Various objects
//-------------------------------------
StartActionXY DOOR1      2 835  95  6    0 0 L1
StartActionXY DOOR2      2 426  95  6    0 0 L1
StartActionXY DOOR3      2 225  88  6    0 0 L1
StartActionXY DOOR4      1 590 168  6    0 0 L1
StartActionXY GUN        3 590 168  3    0 0 L1
StartActionXY WINDOW1    0 877  92  4    0 0 L1
StartActionXY WINDOW2    0 797  92  4    0 0 L1
StartActionXY WINDOW3    0 767  92  4    0 0 L1
StartActionXY WINDOW4    0 737  92  4    0 0 L1
StartActionXY WINDOW5    0 707  92  4    0 0 L1
StartActionXY WINDOW6    0 677  92  4    1 0 L1
StartActionXY WINDOW7    0 647  92  4    2 0 L1
StartActionXY WINDOW8    0 617  92  4    3 0 L1
StartActionXY WINDOW9    0 587  92  4    4 0 L1
StartActionXY WINDOW10   0 557  92  4    5 0 L1
StartActionXY WINDOW11   0 527  92  4    6 0 L1
StartActionXY WINDOW12   0 498  92  4    7 0 L1
StartActionXY WINDOW13   0 468  92  4    8 0 L1
StartActionXY WINDOW14   0 382  92  4    9 0 L1
StartActionXY WINDOW15   0 352  92  4   10 0 L1
StartActionXY WINDOW16   0 322  92  4   11 0 L1
StartActionXY WINDOW17   0 292  92  4   12 0 L1
StartActionXY WINDOW18   0 262  92  4   13 0 L1
StartActionXY WINDOW19   0 192  92  4   14 0 L1
StartActionXY WINDOW20   0 162  92  4   15 0 L1
StartActionXY WINDOW21   0 132  92  4   16 0 L1
StartActionXY WINDOW22   0 102  92  4   17 0 L1
StartActionXY WINDOW23   0  72  92  4   18 0 L1
StartActionXY WINDOW24   0  42  92  4   19 0 L1
StartActionXY WINDOW25   0  14  92  4   20 0 L1

ScrollBKDTo 0 0 0 2880 25

//-------------------------------------
// Bla bla bla
//-------------------------------------
StartActionXY DOOR1      5 835  95  6  135 0 L1

StartActionXY WORKER1    9 866 109  3  145 1 L1       // Door 1
StartActionXY WORKER2    0 763 139  3  145 0 L1       // Window 2

StartActionXY GUERILLA1 14 810  98  3  235 0 L1       // Door 1
StartActionXY WORKER3    0 733 139  3  235 0 L1       // Window 3

StartActionXY WORKER4    0 763 139  3  325 0 L1       // Window 2
StartActionXY WORKER5    0 703 139  3  325 0 L1       // Window 4

StartActionXY WORKER6    0 733 139  3  415 0 L1       // Window 3

StartActionXY WORKER7    0 763 139  3  505 0 L1       // Window 2

StartActionXY GUERILLA2 14 866  98  3  595 1 L1       // Door 1

StartActionXY PATCH      0 591 168  3  680 0 L1       // Patch...

StartActionXY DOOR4      4 590 168  6  690 0 L1       //

StartActionXY WORKER8    0 703 139  3  700 0 L1       // Window 4
StartActionXY WORKER9    9 560 170  3  700 0 L1       // Door 2

StartActionXY WORKER10   0 703 139  3  803 0 L1       // Window 4
StartActionXY WORKER11   0 583 139  2  803 0 L1       // Window 7

StartActionXY GUERILLA3 10 670 176  3  906 1 L1       // Door 2
StartActionXY JERRY1     6 710 139  3  906 0 L1       // Window 4

StartActionXY JERRY2     6 590 139  2 1009 0 L1       // Window 7

StopAction GUERILLA3 1100

StartActionXY WORKER12   0 523 139  3 1112 0 L1       // Window 8
StartActionXY WORKER13   0 733 139  3 1112 0 L1       // Window 3

StartActionXY WORKER14   0 583 139  2 1215 0 L1       // Window 7
StartActionXY WORKER15   9 545 170  3 1215 0 L1       // Door 2

StartActionXY JERRY3     6 530 139  3 1318 0 L1       // Window 8

StartActionXY WORKER16   0 583 139  2 1421 0 L1       // Window 7

StartActionXY DOOR2      5 426  95  6 1530 0 L1

StartActionXY GUERILLA4 14 400  98  3 1550 0 L1       // Door 3

StartActionXY WORKER17   0 583 139  2 1646 0 L1       // Window 7
StartActionXY WORKER18   0 373 139  3 1646 0 L1       // Window 10

StartActionXY WORKER19   0 523 139  3 1742 0 L1       // Window 8
StartActionXY WORKER20   0 378 139  3 1742 0 L1       // Window 11

StartActionXY GUERILLA5 14 447  98  3 1838 1 L1       // Door 3
StartActionXY WORKER21   0 378 139  3 1838 0 L1       // Window 11
StartActionXY JERRY4     6 355 139  3 1838 0 L1       // Window 12

StartActionXY WORKER22   0 378 139  3 1934 0 L1       // Window 10
StartActionXY WORKER23   0 348 139  3 1934 0 L1       // Window 11

StartActionXY WORKER24   0 348 139  3 2030 0 L1       // Window 12
StartActionXY WORKER25   0 318 139  3 2030 0 L1       // Window 13

StartActionXY WORKER26   0 378 139  3 2126 0 L1       // Window 10
StartActionXY WORKER27   0 348 139  3 2126 0 L1       // Window 11

StartActionXY WORKER28   0 318 139  3 2222 0 L1       // Window 13
StartActionXY WORKER29   0 288 139  3 2222 0 L1       // Window 14

StartActionXY JERRY5     6 355 139  3 2318 0 L1       // Window 12

StartActionXY GUERILLA6  8 240 139  9 2414 0 L1       // On the wing
StartActionXY GUERILLA7  8 270 139  9 2414 0 L1       // On the wing

StartActionXY WORKER30   0 288 139  3 2510 0 L1       // Window 14
StartActionXY WORKER31   0 158 139  3 2510 0 L1       // Window 16

StartActionXY GUERILLA8 12 200 129  9 2606 0 L1       // On the wing
StartActionXY GUERILLA9  8 240 139  9 2606 0 L1       // On the wing

StartActionXY WORKER32   2 145 129  9 2702 0 L1       // On the wing
StartActionXY WORKER33   2 245 129  9 2702 0 L1       // On the wing

StartActionXY GUERILLA10 8 120 122  3 2798 0 L1       // Window 17
StartActionXY GUERILLA11 8  90 122  3 2798 0 L1       // Window 18

StartActionXY WORKER34   0 245 129  9 2894 0 L1       // On the wing
StartActionXY WORKER35   0  68 139  3 2894 0 L1       // Window 19

StartActionXY DOOR3      5 225  88  6 3000 0 L1       //
StartActionXY BOSS       0 225 115  7 3010 0 L1       //
AddEnemyLife  BOSS       3010                         //

//StartActionXY nn         a xxx yyy  d ffff 0 L1       //

EndLevel 0
