//---------------------------------------------------------------------------
// Script file for the level 3 of the Bank (Back of the bank)
// Geoffroy Audy, September 17th 1996
//---------------------------------------------------------------------------

define  CAR1       0            // White car
define  INSIDECAR1 1
define  INSIDE2CAR1 2
define  BACKDOOR1  3
define  BWHEELCAR1 4
define  FWHEELCAR1 5
define  STEVE1     6
define  STEVE2     7
define  MASK1      8
define  MASK2      9
define  MASK3      10

define  CAR2       11           // Caddy
define  INSIDECAR2 12
define  BWHEELCAR2 13
define  FWHEELCAR2 14
define  SLUT1      15
define  STEVE3     16
define  MASK4      17
define  MASK5      18
define  MASK6      19

define  RED2       20           // Miata
define  INSIDERED2 21
define  BWHEELRED2 22
define  FWHEELRED2 23
define  BYEBYE     24

define  CAR3       25           // Sedan
define  INSIDECAR3 26
define  INSIDE2CAR3 27
define  BACKDOOR3  28
define  BWHEELCAR3 29
define  FWHEELCAR3 30
define  SLUT2      31
define  STEVE4     32
define  STEVE5     33
define  MASK7      34
define  MASK8      35

define  CAR4       36           // Transam
define  INSIDECAR4 37
define  BWHEELCAR4 38
define  FWHEELCAR4 39
define  MASK9      40
define  MASK10     41

define  BIO        42           // Bio hazard truck
define  FRONTBIO   43
define  INSIDEBIO  44
define  DOORBIO    45
define  BWHEELBIO  46
define  FWHEELBIO  47
define  STEVE6     48
define  STEVE7     49
define  MASK11     50
define  MASK12     51

define  BIKE       52           // MotorCycle

define  CARPATCH1  53           // For the white car's fire
define  CARPATCH2  54           // For the transam's fire
define  CARPATCH3  55           // For the transam's explosion
define  CARPATCH4  56           // For the caddy's fire
define  CARPATCH5  57           // For the sedan's fire
define  CARPATCH6  58           // For the truck's fire

define  CARFIRE1   59           // White car's fire
define  CARFIRE2   60           // Transam's fire
define  CARFIRE3   61           // Caddy's fire
define  CARFIRE4   62           // Sedan's fire
define  CARFIRE5   63           // Truck's fire

define  EXPLOSION1 64           // Transam's explosions
define  EXPLOSION2 65           //

define  CARWINDOW1 66           // White car rear window
define  CARWINDOW2 67           // Caddy rear window
define  CARWINDOW3 68           // Truck front window
define  CARWINDOW4 69           // White car front window
define  CARWINDOW5 70           // Caddy front window

define  BOSS       71           // The missile man!!!

define  MISSILE1   72           //
define  MISSILE2   73           //
define  MISSILE3   74           //
define  MISSILE4   75           //
define  MISSILE5   76           //
define  MISSILE6   77           //

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\BANK\STREET.BKD               // BKD 0        Inst. 0
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\BANK.VAB                       // Sound fx

loadKRT \SPRITES\BANK\LEVEL3\CAR1.KRT           // Char 0
ObjectCharacteristics CAR1 17536                //
CloneCharacter CAR1                             // Char 1
CloneCharacter CAR1                             // Char 2
CloneCharacter CAR1                             // Char 3
CloneCharacter CAR1                             // Char 4
CloneCharacter CAR1                             // Char 5
ObjectCharacteristics BWHEELCAR1 1152
ObjectCharacteristics FWHEELCAR1 1152
loadKRT \SPRITES\BANK\LEVEL3\CUTSTV.KRT         // Char 6
ObjectCharacteristics STEVE1 641                //
CloneCharacter STEVE1                           // Char 7
loadKRT \SPRITES\BANK\LEVEL3\CUTROB.KRT         // Char 8
ObjectCharacteristics MASK1 641                 //
CloneCharacter MASK1                            // Char 9
CloneCharacter MASK1                            // Char 10

loadKRT \SPRITES\BANK\LEVEL3\CAR2.KRT           // Char 11
ObjectCharacteristics CAR2 17536                //
CloneCharacter CAR2                             // Char 12
CloneCharacter CAR2                             // Char 13
CloneCharacter CAR2                             // Char 14
ObjectCharacteristics BWHEELCAR2 1152
ObjectCharacteristics FWHEELCAR2 1152
loadKRT \SPRITES\BANK\LEVEL1\SLUT.KRT           // Char 15
CloneCharacter STEVE1                           // Char 16
CloneCharacter MASK1                            // Char 17
CloneCharacter MASK1                            // Char 18
CloneCharacter MASK1                            // Char 19

loadKRT \SPRITES\BANK\LEVEL3\RED2.KRT           // Char 20
ObjectCharacteristics RED2 17536                //
CloneCharacter RED2                             // Char 21
CloneCharacter RED2                             // Char 22
CloneCharacter RED2                             // Char 23
ObjectCharacteristics BWHEELRED2 1152
ObjectCharacteristics FWHEELRED2 1152
loadKRT \SPRITES\BANK\LEVEL3\BYEBYE.KRT         // Char 24
ObjectCharacteristics BYEBYE 1158               //
SetScale BYEBYE 3200

loadKRT \SPRITES\BANK\LEVEL3\SEDAN.KRT          // Char 25
ObjectCharacteristics CAR3 17536                //
CloneCharacter CAR3                             // Char 26
CloneCharacter CAR3                             // Char 27
CloneCharacter CAR3                             // Char 28
CloneCharacter CAR3                             // Char 29
CloneCharacter CAR3                             // Char 30
ObjectCharacteristics BWHEELCAR3 1152
ObjectCharacteristics FWHEELCAR3 1152
CloneCharacter SLUT1                            // Char 31
CloneCharacter STEVE1                           // Char 32
CloneCharacter STEVE1                           // Char 33
CloneCharacter MASK1                            // Char 34
CloneCharacter MASK1                            // Char 35

loadKRT \SPRITES\BANK\LEVEL3\TRANSAM.KRT        // Char 36
ObjectCharacteristics CAR4 17536                //
CloneCharacter CAR4                             // Char 37
CloneCharacter CAR4                             // Char 38
CloneCharacter CAR4                             // Char 39
ObjectCharacteristics BWHEELCAR4 1152
ObjectCharacteristics FWHEELCAR4 1152
CloneCharacter MASK1                            // Char 40
CloneCharacter MASK1                            // Char 41

loadKRT \SPRITES\BANK\LEVEL3\BIO.KRT            // Char 42
ObjectCharacteristics BIO 17536                 //
CloneCharacter BIO                              // Char 43
CloneCharacter BIO                              // Char 44
CloneCharacter BIO                              // Char 45
CloneCharacter BIO                              // Char 46
CloneCharacter BIO                              // Char 47
ObjectCharacteristics BWHEELBIO 1152
ObjectCharacteristics FWHEELBIO 1152
CloneCharacter STEVE1                           // Char 48
CloneCharacter STEVE1                           // Char 49
CloneCharacter MASK1                            // Char 50
CloneCharacter MASK1                            // Char 51
SetScale STEVE6 3072                            //
SetScale MASK11 3072                            //

loadKRT \SPRITES\BANK\LEVEL3\ENBIKE.KRT         // Char 52
ObjectCharacteristics BIKE 1152                 //

loadKRT \SPRITES\BANK\LEVEL3\CARPTCH.KRT        // Char 53
ObjectCharacteristics CARPATCH1 33792           //
CloneCharacter CARPATCH1                        // Char 54
CloneCharacter CARPATCH1                        // Char 55
CloneCharacter CARPATCH1                        // Char 56
CloneCharacter CARPATCH1                        // Char 57
CloneCharacter CARPATCH1                        // Char 58
SetTotalHitPoints CARPATCH1 6
SetTotalHitPoints CARPATCH2 6
SetTotalHitPoints CARPATCH3 4
SetTotalHitPoints CARPATCH4 6
SetTotalHitPoints CARPATCH5 6
SetTotalHitPoints CARPATCH6 6

loadKRT \SPRITES\BANK\LEVEL3\CARFIRE.KRT        // Char 59
ObjectCharacteristics CARFIRE 17408             //
CloneCharacter CARFIRE1                         // Char 60
CloneCharacter CARFIRE1                         // Char 61
CloneCharacter CARFIRE1                         // Char 62
CloneCharacter CARFIRE1                         // Char 63

loadKRT \SPRITES\EXPLO.KRT                      // Char 64
ObjectCharacteristics EXPLOSION1 17408          //
CloneCharacter EXPLOSION1                       // Char 65
SetScale EXPLOSION1 6000
SetScale EXPLOSION2 6500

loadKRT \SPRITES\BANK\LEVEL3\CARWIN.KRT         // Char 66
ObjectCharacteristics CARWINDOW1 1056           //
CloneCharacter CARWINDOW1                       // Char 67
CloneCharacter CARWINDOW1                       // Char 68
loadKRT \SPRITES\BANK\LEVEL3\CARWIN2.KRT        // Char 69
ObjectCharacteristics CARWINDOW4 1056           //
CloneCharacter CARWINDOW4                       // Char 70
loadKRT \SPRITES\BANK\LEVEL3\MISMAN.KRT         // Char 71
ObjectCharacteristics BOSS 3204                 // It's a fuckin' boss.
loadKRT \SPRITES\BANK\LEVEL3\MISSILE.KRT        // Char 72
ObjectCharacteristics MISSILE1 1348             // Missile shit.
CloneCharacter MISSILE1                         // Char 73
CloneCharacter MISSILE1                         // Char 74
CloneCharacter MISSILE1                         // Char 75
CloneCharacter MISSILE1                         // Char 76
CloneCharacter MISSILE1                         // Char 77

PlayTrack 509 0            // Chase1

Link 3 STEVE2 3 5 0 0 160 120
Link 3 STEVE2 5 6 0 0 160 120
Link 3 STEVE2 5 7 0 0 160 120

Link BACKDOOR3 STEVE5 3 5 0 0 160 120
Link BACKDOOR3 STEVE5 5 6 0 0 160 120
Link BACKDOOR3 STEVE5 5 7 0 0 160 120

Link CARFIRE1 CARPATCH1 0 5 0 0 160 120
Link CARFIRE2 CARPATCH2 0 6 0 0 160 120
Link CARFIRE3 CARPATCH4 0 7 0 0 160 120
Link CARFIRE4 CARPATCH5 0 8 0 0 160 120
Link CARFIRE5 CARPATCH6 0 9 0 0 160 120
Link EXPLOSION1 CARPATCH3 0 6 0 0 160 120
Link EXPLOSION2 EXPLOSION1 0 0 1 0 160 120

AssignProjectile BOSS MISSILE1
AssignProjectile BOSS MISSILE2
AssignProjectile BOSS MISSILE3
AssignProjectile BOSS MISSILE4
AssignProjectile BOSS MISSILE5
AssignProjectile BOSS MISSILE6

//-------------------------------------
// Various objects
//-------------------------------------
PlaySound 14 60

//-------------------------------------
// Enemy group #1
//-------------------------------------
EndRound 0
