//---------------------------------------------------------------------------
// Lethal Enforcers 2
// 
// Level        Bank
// Round        1
// Background   568, 368
// SetScale     0x2c = 3891, 0x07 = 4710
// Layers       255 44 42 42 42   41 29 24 24 24   21 7 7 7 7
//---------------------------------------------------------------------------
// Sprites	Enemy Sets
// 		1   2   3   4   
// BMBOLF	X       X   X   
// BMJUN	X   X   X   X   
// BMKEVN	X   X       X   
// BMLONG	X   X   X   X   
// BMSTEV	X   X   X   X   
// BMTETS	X   X   X   X   
// BMTHIN	X   X   X   X   
// BMYOSI	    X           
// BWTINA	X       X       
// GMBILL	            X   
// GMDEPT	X               
// GWCHEK	    X           
// GWLIND	X               
// GWMARL	        X   X   
//---------------------------------------------------------------------------

// Define hit points
define BMBOLF_hp    1 //2
define BMJUN_hp     1 //2
define BMKEVN_hp    1 //2
define BMLONG_hp    1 //2
define BMSTEV_hp    1 //2
define BMTETS_hp    1 //2
define BMTHIN_hp    1 //2
define BMYOSI_hp    1 //2
define BWTINA_hp    1
define GMBILL_hp    1
define GMDEPT_hp    1
define GWCHEK_hp    1
define GWLIND_hp    1
define GWMARL_hp    1

// Define character literals
define BMBOLF1      0
define BMBOLF2      1
define BMBOLF3      2
define BMBOLF4      3
define BMJUN1       4
define BMJUN2       5
define BMJUN3       6
define BMJUN4       7
define BMJUN5       8
define BMJUN6       9
define BMKEVN1      10
define BMKEVN2      11
define BMKEVN3      12
define BMKEVN4      13
define BMKEVN5      14
define BMKEVN6      15
define BMKEVN7      16
define BMLONG1      17
define BMLONG2      18
define BMLONG3      19
define BMLONG4      20
define BMLONG5      21
define BMLONG6      22
define BMLONG7      23
define BMSTEV1      24
define BMSTEV2      25
define BMSTEV3      26
define BMSTEV4      27
define BMSTEV5      28
define BMSTEV6      29
define BMSTEV7      30
define BMSTEV8      31
define BMTETS1      32
define BMTETS2      33
define BMTETS3      34
define BMTETS4      35
define BMTETS5      36
define BMTHIN1      37
define BMTHIN2      38
define BMTHIN3      39
define BMTHIN4      40
define BMTHIN5      41
define BMTHIN6      42
define BMTHIN7      43
define BMTHIN8      44
define BMYOSI1      45
define BWTINA1      46
define BWTINA2      47
define BWTINA3      48
define GMBILL1      49
define GMDEPT1      50
define GWCHEK1      51
define GWLIND1      52
define GWMARL1      53
define GWMARL2      54
define SIGN         55
define PANE1        56  // Lower left window, upper left pane
define PANE2        57  // Lower left window, upper right pane
define PANE3        58  // Lower left window, lower right pane
define PANE4        59  // Lower left window, lower left pane
define PANE5        60  // Lower right window, upper left pane
define PANE6        61  // Lower right window, upper right pane
define PANE7        62  // Lower right window, lower right pane
define PANE8        63  // Lower right window, lower left pane
define PANE9        64  // Upper window, left
define PANE10       65  // Upper window, left middle
define PANE11       66  // Upper window, middle
define PANE12       67  // Upper window, right middle
define PANE13       68  // Upper window, right
define WINFRAME1    69  // Upper window, left
define WINFRAME2    70  // Upper window, left middle
define WINFRAME3    71  // Upper window, middle
define WINFRAME4    72  // Upper window, right middle
define WINFRAME5    73  // Upper window, right
define BARREL_L     74  // Left half of barrel
define BARREL_R     75  // Right half of barrel
define BSPLASH_L    76  // Barrel splash left
define BSPLASH_R    77  // Barrel splash right
define TROUGH       78  // Horse trough
define TSPLASH      79  // Trough splash
define RIFLE        80 
define CURTAIN1L    81
define CURTAIN1R    82
define CURTAIN2L    83
define CURTAIN2R    84
define CURTAIN3L    85
define CURTAIN3R    86
define CURTAIN4L    87
define CURTAIN4R    88
define CURTAIN5L    89
define CURTAIN5R    90

// Define difficulty levels
define L1           0
define L2           1
define L3           2
define L4           3
define L5           4
define L6           5
define L7           6
define L8           7

// Define object characteristics
define ENEMY        0x0001    // Enemy
define VICTIM       0x0002    // Victim
define DISAPPEAR    0x0004    // Disappear when out of screen
define GUN          0x0008    // Gun (red contour)
define FALL         0x0010    // Fall, so check for collision
define WINDOW       0x0020    // Window (translucent)
define THROWN       0x0040    // Thrown object (zoom)
define START_ANIM   0x0080    // Can start another anim. over actual one
define ARROW        0x0100    // Arrow (do an arc)
define BLINK        0x0200    // Blink at the end
define SCROLL       0x0400    // We can scroll even though he's not dead
define BOSS         0x0800    // Boss
define VEH_SINUSOID 0x1000    // Vehicle (sinusoidal movement)
define VEH_LINEAR   0x2000    // Vehicle (linear movement)
define NOKILL       0x4000    // Can't be killed
define NODISPLAY    0x8000    // Don't display

// Define positions
// p1 (1:left ground)
define p1_x         -5
define p1_y         302
define p1_l         14
define p1_scale     4710

// p2 (2:left deck)
define p2_x         -13
define p2_y         257
define p2_l         7
define p2_scale     4334

// p3 (3:right ground)
define p3_x         314
define p3_y         300
define p3_l         14
define p3_scale     4710

// p4 (4:right deck)
define p4_x         338
define p4_y         292
define p4_l         6
define p4_scale     4223

// p5 (5:window left)
define p5_x         34
define p5_y         248
define p5_l         1
define p5_scale     3891

// p6 (6:window left)
define p6_x         99
define p6_y         280
define p6_l         1
define p6_scale     3891

// p7 (7:window left)
define p7_x         142
define p7_y         272
define p7_l         1
define p7_scale     3891

// p8 (8:window left)
define p8_x         200	
define p8_y         245
define p8_l         1
define p8_scale     3891

// p9 (9:door left)
define p9_x         222
define p9_y         236
define p9_l         1
define p9_scale     3891

// p0a (a:door right)
define p0a_x        350
define p0a_y        235
define p0a_l        1
define p0a_scale    3891

// p0b (b:left ground)
define p0b_x        249
define p0b_y        318
define p0b_l        14
define p0b_scale    4710

// p0c (c:left deck)
define p0c_x        230
define p0c_y        277
define p0c_l        6
define p0c_scale    4223

// p0d (d:right ground)
define p0d_x        569
define p0d_y        280
define p0d_l        11
define p0d_scale    4710

// p0e (e:right deck)
define p0e_x        569
define p0e_y        244
define p0e_l        6
define p0e_scale    4223

// p0f (f:right window)
define p0f_x        392
define p0f_y        245
define p0f_l        1
define p0f_scale    3891

// p10 (10:right window)
define p10_x        446
define p10_y        284
define p10_l        1
define p10_scale    3891

// p11 (11:right window)
define p11_x        500
define p11_y        270
define p11_l        1
define p11_scale    3891

// p12 (12:right window)
define p12_x        562
define p12_y        292
define p12_l        1
define p12_scale    3891

// p14 (14:upstair window #1 for stand)
define p14_x        518
define p14_y        115
define p14_l        2
define p14_scale    3935

// p15 (15:upstair window #2 for stand)
define p15_x        428
define p15_y        115
define p15_l        2
define p15_scale    3935

// p16 (16:upstair window #2 for left side)
define p16_x        375
define p16_y        95
define p16_l        2
define p16_scale    3935

// p17 (17:upstair window #3 for right side)
define p17_x        367
define p17_y        110
define p17_l        1
define p17_scale    3891

// p18 (18:upstair window #3 for stand)
define p18_x        295
define p18_y        120
define p18_l        1
define p18_scale    3891

// p19 (19:upstair window #3 for left side)
define p19_x        246
define p19_y        95
define p19_l        1
define p19_scale    3891

// p1A (1a:upstair window #4)
define p1A_x        218
define p1A_y        95
define p1A_l        2
define p1A_scale    3935

// p1B (1b:upstair window #4)
define p1B_x        162
define p1B_y        120
define p1B_l        2
define p1B_scale    3935

// p1C (1c:upstair window #5)
define p1C_x        76
define p1C_y        115
define p1C_l        2
define p1C_scale    3935

// pd1 (title demo)
define pd1_x        159
define pd1_y        288
define pd1_l        6
define pd1_scale    4223

// pd2 (title demo)
define pd2_x        247
define pd2_y        292
define pd2_l        6
define pd2_scale    4223

// pd3 (title demo)
define pd3_x        249
define pd3_y        207
define pd3_l        7
define pd3_scale    4245


// Load backgrounds and sounds
LoadBKD \BACKGRND\LE2\BANK\BANK1.BKD
SetBKDLoc 0 0 -128 0
LoadVAB \SOUNDFX\LE2\BANK.VAB

// Load characters
LoadKRT \SPRITES\LE2\BANK\B1\BMBOLF.KRT              // Ch 0 - BMBOLF1
SetScale BMBOLF1 p2_scale
SetTotalHitPoints BMBOLF1 BMBOLF_hp
SetDeath BMBOLF1 2 -1

CloneCharacter BMBOLF1                            // Ch 1 - BMBOLF2   
SetScale BMBOLF2 p8_scale
SetTotalHitPoints BMBOLF2 BMBOLF_hp

CloneCharacter BMBOLF1                            // Ch 2 - BMBOLF3   
SetScale BMBOLF3 p14_scale
SetTotalHitPoints BMBOLF3 BMBOLF_hp

CloneCharacter BMBOLF1                            // Ch 3 - BMBOLF4   
SetScale BMBOLF4 p18_scale
SetTotalHitPoints BMBOLF4 BMBOLF_hp
SetDeath BMBOLF4 2 -1

LoadKRT \SPRITES\LE2\BANK\B1\BMJUN.KRT               // Ch 4 - BMJUN1
SetScale BMJUN1 p9_scale
SetTotalHitPoints BMJUN1 BMJUN_hp

CloneCharacter BMJUN1                             // Ch 5 - BMJUN2    
SetScale BMJUN2 p3_scale
SetTotalHitPoints BMJUN2 BMJUN_hp

CloneCharacter BMJUN1                             // Ch 6 - BMJUN3    
SetScale BMJUN3 p3_scale
SetTotalHitPoints BMJUN3 BMJUN_hp

CloneCharacter BMJUN1                             // Ch 7 - BMJUN4    
SetScale BMJUN4 p0c_scale
SetTotalHitPoints BMJUN4 BMJUN_hp

CloneCharacter BMJUN1                             // Ch 8 - BMJUN5    
SetScale BMJUN5 p14_scale
SetTotalHitPoints BMJUN5 BMJUN_hp
SetDeath BMJUN5 2 -1

CloneCharacter BMJUN1                             // Ch 9 - BMJUN6    
SetScale BMJUN6 p1C_scale
SetTotalHitPoints BMJUN6 BMJUN_hp

LoadKRT \SPRITES\LE2\BANK\B1\BMKEVN.KRT              // Ch 10 - BMKEVN1
SetScale BMKEVN1 p5_scale
SetTotalHitPoints BMKEVN1 BMKEVN_hp

CloneCharacter BMKEVN1                            // Ch 11 - BMKEVN2  
SetScale BMKEVN2 p9_scale
SetTotalHitPoints BMKEVN2 BMKEVN_hp

CloneCharacter BMKEVN1                            // Ch 12 - BMKEVN3  
SetScale BMKEVN3 p11_scale
SetTotalHitPoints BMKEVN3 BMKEVN_hp

CloneCharacter BMKEVN1                            // Ch 13 - BMKEVN4  
SetScale BMKEVN4 p0d_scale
SetTotalHitPoints BMKEVN4 BMKEVN_hp

CloneCharacter BMKEVN1                            // Ch 14 - BMKEVN5  
SetScale BMKEVN5 p0f_scale
SetTotalHitPoints BMKEVN5 BMKEVN_hp

CloneCharacter BMKEVN1                            // Ch 15 - BMKEVN6  
SetScale BMKEVN6 p19_scale
SetTotalHitPoints BMKEVN6 BMKEVN_hp
SetDeath BMKEVN6 2 -1

CloneCharacter BMKEVN1                            // Ch 16 - BMKEVN7  
SetScale BMKEVN7 p1B_scale
SetTotalHitPoints BMKEVN7 BMKEVN_hp
SetDeath BMKEVN7 2 -1

LoadKRT \SPRITES\LE2\BANK\B1\BMLONG.KRT              // Ch 17 - BMLONG1
SetScale BMLONG1 p7_scale
SetTotalHitPoints BMLONG1 BMLONG_hp

CloneCharacter BMLONG1                            // Ch 18 - BMLONG2  
SetScale BMLONG2 p9_scale
SetTotalHitPoints BMLONG2 BMLONG_hp

CloneCharacter BMLONG1                            // Ch 19 - BMLONG3  
SetScale BMLONG3 p8_scale
SetTotalHitPoints BMLONG3 BMLONG_hp

CloneCharacter BMLONG1                            // Ch 20 - BMLONG4  
SetScale BMLONG4 p0e_scale
SetTotalHitPoints BMLONG4 BMLONG_hp

CloneCharacter BMLONG1                            // Ch 21 - BMLONG5  
SetScale BMLONG5 p11_scale
SetTotalHitPoints BMLONG5 BMLONG_hp

CloneCharacter BMLONG1                            // Ch 22 - BMLONG6  
SetScale BMLONG6 p18_scale
SetTotalHitPoints BMLONG6 BMLONG_hp

CloneCharacter BMLONG1                            // Ch 23 - BMLONG7  
SetScale BMLONG7 p1B_scale
SetTotalHitPoints BMLONG7 BMLONG_hp

LoadKRT \SPRITES\LE2\BANK\B2\BMSTEV.KRT              // Ch 24 - BMSTEV1
SetScale BMSTEV1 p9_scale
SetTotalHitPoints BMSTEV1 BMSTEV_hp

CloneCharacter BMSTEV1                            // Ch 25 - BMSTEV2  
SetScale BMSTEV2 p6_scale
SetTotalHitPoints BMSTEV2 BMSTEV_hp

CloneCharacter BMSTEV1                            // Ch 26 - BMSTEV3  
SetScale BMSTEV3 p0a_scale
SetTotalHitPoints BMSTEV3 BMSTEV_hp

CloneCharacter BMSTEV1                            // Ch 27 - BMSTEV4  
SetScale BMSTEV4 p0a_scale
SetTotalHitPoints BMSTEV4 BMSTEV_hp

CloneCharacter BMSTEV1                            // Ch 28 - BMSTEV5  
SetScale BMSTEV5 p16_scale
SetTotalHitPoints BMSTEV5 BMSTEV_hp

CloneCharacter BMSTEV1                            // Ch 29 - BMSTEV6  
SetScale BMSTEV6 p14_scale
SetTotalHitPoints BMSTEV6 BMSTEV_hp

CloneCharacter BMSTEV1                            // Ch 30 - BMSTEV7  
SetScale BMSTEV7 p1A_scale
SetTotalHitPoints BMSTEV7 BMSTEV_hp

CloneCharacter BMSTEV1                            // Ch 31 - BMSTEV8  
SetScale BMSTEV8 p19_scale
SetTotalHitPoints BMSTEV8 BMSTEV_hp
SetDeath BMSTEV8 2 -1

LoadKRT \SPRITES\LE2\BANK\B2\BMTETS.KRT              // Ch 32 - BMTETS1
SetScale BMTETS1 p2_scale
SetTotalHitPoints BMTETS1 BMTETS_hp
SetDeath BMTETS1 2 -1

CloneCharacter BMTETS1                            // Ch 33 - BMTETS2  
SetScale BMTETS2 p0c_scale
SetTotalHitPoints BMTETS2 BMTETS_hp

CloneCharacter BMTETS1                            // Ch 34 - BMTETS3  
SetScale BMTETS3 p0e_scale
SetTotalHitPoints BMTETS3 BMTETS_hp

CloneCharacter BMTETS1                            // Ch 35 - BMTETS4  
SetScale BMTETS4 p14_scale
SetTotalHitPoints BMTETS4 BMTETS_hp

CloneCharacter BMTETS1                            // Ch 36 - BMTETS5  
SetScale BMTETS5 p1C_scale
SetTotalHitPoints BMTETS5 BMTETS_hp

LoadKRT \SPRITES\LE2\BANK\B2\BMTHIN.KRT              // Ch 37 - BMTHIN1
SetScale BMTHIN1 p2_scale
SetTotalHitPoints BMTHIN1 BMTHIN_hp
SetDeath BMTHIN1 2 -1

CloneCharacter BMTHIN1                            // Ch 38 - BMTHIN2  
SetScale BMTHIN2 p7_scale
SetTotalHitPoints BMTHIN2 BMTHIN_hp

CloneCharacter BMTHIN1                            // Ch 39 - BMTHIN3  
SetScale BMTHIN3 p0f_scale
SetTotalHitPoints BMTHIN3 BMTHIN_hp

CloneCharacter BMTHIN1                            // Ch 40 - BMTHIN4  
SetScale BMTHIN4 p10_scale
SetTotalHitPoints BMTHIN4 BMTHIN_hp

CloneCharacter BMTHIN1                            // Ch 41 - BMTHIN5  
SetScale BMTHIN5 p0d_scale
SetTotalHitPoints BMTHIN5 BMTHIN_hp

CloneCharacter BMTHIN1                            // Ch 42 - BMTHIN6  
SetScale BMTHIN6 p18_scale
SetTotalHitPoints BMTHIN6 BMTHIN_hp

CloneCharacter BMTHIN1                            // Ch 43 - BMTHIN7  
SetScale BMTHIN7 p18_scale
SetTotalHitPoints BMTHIN7 BMTHIN_hp
SetDeath BMTHIN7 2 -1

CloneCharacter BMTHIN1                            // Ch 44 - BMTHIN8  
SetScale BMTHIN8 p1B_scale
SetTotalHitPoints BMTHIN8 BMTHIN_hp
SetDeath BMTHIN8 2 -1

LoadKRT \SPRITES\LE2\BANK\B2\BMYOSI.KRT              // Ch 45 - BMYOSI1
SetScale BMYOSI1 p0a_scale*120/100
SetTotalHitPoints BMYOSI1 BMYOSI_hp

LoadKRT \SPRITES\LE2\BANK\B2\BWTINA.KRT              // Ch 46 - BWTINA1
SetScale BWTINA1 p3_scale
SetTotalHitPoints BWTINA1 BWTINA_hp

CloneCharacter BWTINA1                            // Ch 47 - BWTINA2  
SetScale BWTINA2 p6_scale
SetTotalHitPoints BWTINA2 BWTINA_hp

CloneCharacter BWTINA1                            // Ch 48 - BWTINA3  
SetScale BWTINA3 p15_scale
SetTotalHitPoints BWTINA3 BWTINA_hp

LoadKRT \SPRITES\LE2\BANK\B2\GMBILL.KRT              // Ch 49 - GMBILL1
SetScale GMBILL1 p1C_scale
SetTotalHitPoints GMBILL1 GMBILL_hp
ObjectCharacteristics GMBILL1 VICTIM|DISAPPEAR|SCROLL

LoadKRT \SPRITES\LE2\BANK\B2\GMDEPT.KRT              // Ch 50 - GMDEPT1
SetScale GMDEPT1 p1_scale
SetTotalHitPoints GMDEPT1 GMDEPT_hp
ObjectCharacteristics GMDEPT1 VICTIM|DISAPPEAR|SCROLL

LoadKRT \SPRITES\LE2\BANK\B2\GWCHEK.KRT              // Ch 51 - GWCHEK1
SetScale GWCHEK1 p10_scale
SetTotalHitPoints GWCHEK1 GWCHEK_hp
ObjectCharacteristics GWCHEK1 VICTIM|DISAPPEAR|SCROLL

LoadKRT \SPRITES\LE2\BANK\B2\GWLIND.KRT              // Ch 52 - GWLIND1
SetScale GWLIND1 p7_scale
SetTotalHitPoints GWLIND1 GWLIND_hp
ObjectCharacteristics GWLIND1 VICTIM|DISAPPEAR|SCROLL

LoadKRT \SPRITES\LE2\BANK\B2\GWMARL.KRT              // Ch 53 - GWMARL1
SetScale GWMARL1 p15_scale
SetTotalHitPoints GWMARL1 GWMARL_hp
ObjectCharacteristics GWMARL1 VICTIM|DISAPPEAR|SCROLL

CloneCharacter GWMARL1                            // Ch 54 - GWMARL2  
SetScale GWMARL2 p18_scale
SetTotalHitPoints GWMARL2 GWMARL_hp
ObjectCharacteristics GWMARL2 VICTIM|DISAPPEAR|SCROLL

LoadKRT \SPRITES\LE2\BANK\B1\B1SIGN.KRT              // Ch 55 - SIGN
ObjectCharacteristics SIGN FALL|SCROLL

LoadKRT \SPRITES\LE2\BANK\B1\B1PANE.KRT              // Ch 56 - PANE1
ObjectCharacteristics PANE1 WINDOW|SCROLL
CloneCharacter PANE1                              // Ch 57 - PANE2
CloneCharacter PANE1                              // Ch 58 - PANE3
CloneCharacter PANE1                              // Ch 59 - PANE4
CloneCharacter PANE1                              // Ch 60 - PANE5
CloneCharacter PANE1                              // Ch 61 - PANE6
CloneCharacter PANE1                              // Ch 62 - PANE7
CloneCharacter PANE1                              // Ch 63 - PANE8
CloneCharacter PANE1                              // Ch 64 - PANE9
CloneCharacter PANE1                              // Ch 65 - PANE10
CloneCharacter PANE1                              // Ch 66 - PANE11
CloneCharacter PANE1                              // Ch 67 - PANE12
CloneCharacter PANE1                              // Ch 68 - PANE13

LoadKRT \SPRITES\LE2\BANK\B1\B1WIN.KRT               // Ch 69 - WINFRAME1
ObjectCharacteristics WINFRAME1 SCROLL|NOKILL
CloneCharacter WINFRAME1                          // Ch 70 - WINFRAME2
CloneCharacter WINFRAME1                          // Ch 71 - WINFRAME3
CloneCharacter WINFRAME1                          // Ch 72 - WINFRAME4
CloneCharacter WINFRAME1                          // Ch 73 - WINFRAME5

LoadKRT \SPRITES\LE2\BANK\B1\B1TROF.KRT              // Ch 74 - BARREL_L
ObjectCharacteristics BARREL_L SCROLL|NOKILL
CloneCharacter BARREL_L                           // Ch 75 - BARREL_R

LoadKRT \SPRITES\LE2\BANK\B1\B1SPL1.KRT              // Ch 76 - BSPLASH_L
ObjectCharacteristics BSPLASH_L SCROLL|NOKILL|DISAPPEAR|START_ANIM
CloneCharacter BSPLASH_L                          // Ch 77 - BSPLASH_R

CloneCharacter BARREL_L                           // Ch 78 - TROUGH
ObjectCharacteristics TROUGH SCROLL|NOKILL

LoadKRT \SPRITES\LE2\BANK\B1\B1SPL2.KRT              // Ch 79 - TSPLASH
ObjectCharacteristics TSPLASH START_ANIM|NOKILL

LoadKRT \SPRITES\LE2\L2GUNS.KRT                   // Ch 80 - RIFLE
ObjectCharacteristics RIFLE GUN|SCROLL

LoadKRT \SPRITES\LE2\BANK\B1\B1CURT.KRT              // Ch 81 - CURTAIN1L
ObjectCharacteristics CURTAIN1L SCROLL|NOKILL|START_ANIM
CloneCharacter CURTAIN1L                          // Ch 82 - CURTIAN1R
CloneCharacter CURTAIN1L                          // Ch 83 - CURTIAN2L
CloneCharacter CURTAIN1L                          // Ch 84 - CURTIAN2R
CloneCharacter CURTAIN1L                          // Ch 85 - CURTIAN3L
CloneCharacter CURTAIN1L                          // Ch 86 - CURTIAN3R
CloneCharacter CURTAIN1L                          // Ch 87 - CURTIAN4L
CloneCharacter CURTAIN1L                          // Ch 88 - CURTIAN4R
CloneCharacter CURTAIN1L                          // Ch 89 - CURTIAN5L
CloneCharacter CURTAIN1L                          // Ch 90 - CURTIAN5R

// Links
SetDepth TSPLASH 12
Link TSPLASH	BMTHIN1 0  2 1 0 59 260
Link TSPLASH	BMBOLF1 0  2 1 0 59 260
Link TSPLASH	BMTETS1 0  2 1 0 59 260

Link CURTAIN1L	BMTETS5 1 10 0 0  74-(56/2)+(32/2) 59
Link CURTAIN1R	BMTETS5 1 10 0 1  74+(56/2)-(32/2) 59
Link CURTAIN2L	BMSTEV7 1 12 0 0 163-(56/2)+(32/2) 58
Link CURTAIN2R	BMSTEV7 1 12 0 1 163+(56/2)-(32/2) 58
Link CURTAIN3L	BMTHIN6 1 10 0 0 296-(56/2)+(32/2) 57
Link CURTAIN3R	BMTHIN6 1 10 0 1 296+(56/2)-(32/2) 57
Link CURTAIN4L	GWMARL1 1  1 0 0 429-(56/2)+(32/2) 57
Link CURTAIN4R	GWMARL1 1  1 0 1 429+(56/2)-(32/2) 57
Link CURTAIN5L	BMBOLF3	1  5 0 0 520-(56/2)+(32/2) 57
Link CURTAIN5R	BMBOLF3	1  5 0 1 520+(56/2)-(32/2) 57

Link WINFRAME2  BMTHIN8 1  2 0 0 163 58 
Link WINFRAME2  BMKEVN7 1  2 0 0 163 58 
Link WINFRAME3  BMTHIN7 1  2 0 0 296 57
Link WINFRAME3  BMKEVN6 1  2 0 0 296 57
Link WINFRAME3  BMBOLF4 1  2 0 0 296 57
Link WINFRAME3  BMSTEV8 1  2 0 0 296 57
Link WINFRAME5  BMJUN5  1  2 0 0 520 57

PlayTrack 503 0
        
// Objects
StartActionXY TROUGH    0     59       339      13   0        0 L1
StartActionXY SIGN      1     300      154      7    0        0 L1
StartActionXY RIFLE     2     300      158      6    0        0 L1
	
StartActionXY PANE1     0     96       199      4    0        0 L1
StartActionXY PANE2     0     149      199      4    0        0 L1
StartActionXY PANE3     0     149      238      4    0        0 L1
StartActionXY PANE4     0     96       238      4    0        0 L1
StartActionXY PANE5     0     449      198      4    0        0 L1
StartActionXY PANE6     0     500      198      4    0        0 L1
StartActionXY PANE7     0     500      237      4    0        0 L1
StartActionXY PANE8     0     449      237      4    0        0 L1

StartActionXY PANE9     2     74       59       4    0        0 L1
StartActionXY PANE10    2     163      58       4    0        0 L1
StartActionXY PANE11    2     296      57       4    0        0 L1
StartActionXY PANE12    2     429      57       4    0        0 L1
StartActionXY PANE13    2     520      57       4    0        0 L1

StartActionXY WINFRAME1 0     74       59       5    0        0 L1
StartActionXY WINFRAME2 0     163      58       5    0        0 L1
StartActionXY WINFRAME3 0     296      57       5    0        0 L1
StartActionXY WINFRAME4 0     429      57       5    0        0 L1
StartActionXY WINFRAME5 0     520      57       5    0        0 L1

StartActionXY CURTAIN1L 0     74-(56/2)+(32/2) 59 3 0 0 L1
StartActionXY CURTAIN1R 0     74+(56/2)-(32/2) 59 3 0 1 L1
StartActionXY CURTAIN2L	0    163-(56/2)+(32/2) 58 3 0 0 L1
StartActionXY CURTAIN2R	0    163+(56/2)-(32/2) 58 3 0 1 L1
StartActionXY CURTAIN3L	0    296-(56/2)+(32/2) 57 3 0 0 L1
StartActionXY CURTAIN3R	0    296+(56/2)-(32/2) 57 3 0 1 L1
StartActionXY CURTAIN4L	0    429-(56/2)+(32/2) 57 3 0 0 L1
StartActionXY CURTAIN4R	0    429+(56/2)-(32/2) 57 3 0 1 L1
StartActionXY CURTAIN5L	0    520-(56/2)+(32/2) 57 3 0 0 L1
StartActionXY CURTAIN5R	0    520+(56/2)-(32/2) 57 3 0 1 L1

StartActionXY BARREL_L  1     444      320      14   0        0 L1
StartActionXY BARREL_R  2     474      320      14   0        0 L1


// Action!
define FC     0  // Frame Counter
StartActionXY BMKEVN1  12     p5_x     p5_y     p5_l FC+48    0 L1  // SIDE
StartActionXY BMJUN1   14     p9_x+8   p9_y+22  p9_l FC+72    0 L6  // LOW
StartActionXY BMLONG1   4     p7_x     p7_y     p7_l FC+160   1 L7  // STND
StartActionXY BMTHIN1  12     p2_x     p2_y     p2_l FC+192   0 L1  // SIDE (fall)
StartActionXY BMSTEV1  12     p9_x     p9_y     p9_l FC+200   0 L5  // SIDE
StartActionXY BWTINA1   6     p3_x     p3_y     p3_l FC+304   1 L2  // SIDE
StartActionXY BMTHIN2  10     p7_x     p7_y     p7_l FC+336   1 L2  // STND
StartActionXY BWTINA2   4     p6_x     p6_y     p6_l FC+352   0 L6  // STND
StartActionXY GMDEPT1   3     p1_x     p1_y     p1_l FC+416   0 L1  // 0x06
StartActionXY BMLONG2   6     p9_x     p9_y     p9_l FC+448   0 L2  // SIDE
StartActionXY BMLONG3   6     p8_x     p8_y     p8_l FC+480   1 L6  // SIDE
StartActionXY BMJUN2   17     p3_x     p3_y     p3_l FC+576   1 L1  // WALK
StartActionXY BMBOLF1   7     p2_x     p2_y     p2_l FC+584   0 L6  // SIDE (fall)
StartActionXY GWLIND1   1     p7_x     p7_y     p7_l FC+672   0 L1  // STND
StartActionXY BMSTEV2  10     p6_x     p6_y     p6_l FC+704   0 L1  // STND
StartActionXY BMKEVN2  14     p9_x     p9_y+20  p9_l FC+722   0 L6  // LOW
StartActionXY BMBOLF2   7     p8_x     p8_y     p8_l FC+832   1 L2  // SIDE
StartActionXY BMTETS1  14     p2_x     p2_y+10  p2_l FC+864   0 L6  // LOW  (fall)
StartActionXY BMJUN3   12     p3_x     p3_y     p3_l FC+876   1 L1  // SIDE
ScrollBKDTo 0 -248 -128 60 FC+896

define FC  FC+896  // Frame Counter
StartActionXY BMSTEV3  12    p0a_x    p0a_y    p0a_l FC+48    1 L4  // SIDE
StartActionXY BMTHIN3  12    p0f_x    p0f_y    p0f_l FC+64    0 L1  // SIDE
StartActionXY BMKEVN3  10    p11_x    p11_y    p11_l FC+160   1 L5  // STND
StartActionXY BMTETS2  12    p0c_x    p0c_y-20 p0c_l FC+176   0 L1  // SIDE
StartActionXY BMLONG4   6    p0e_x    p0e_y    p0e_l FC+288   1 L2  // SIDE
StartActionXY BMTHIN4  10    p10_x    p10_y    p10_l FC+304   0 L5  // STND
StartActionXY BMJUN4   14    p0c_x    p0c_y    p0c_l FC+416   0 L1  // LOW
StartActionXY BMKEVN4  12    p0d_x    p0d_y    p0d_l FC+432   1 L5  // SIDE
StartActionXY GWCHEK1   1    p10_x    p10_y-10 p10_l FC+512   0 L1  // STND
StartActionXY BMSTEV4  17    p0a_x+65 p0a_y+25 p0a_l FC+592   1 L2  // ROLL
StartActionXY BMTETS3  14    p0e_x    p0e_y+22 p0e_l FC+608   1 L6  // LOW
StartActionXY BMTHIN5  12    p0d_x    p0d_y    p0d_l FC+720   1 L1  // SIDE
StartActionXY BMYOSI1  10    p0a_x    p0a_y+10 p0a_l FC+736   1 L5  // LOW
StartActionXY BMKEVN5  12    p0f_x    p0f_y    p0f_l FC+816   0 L6  // SIDE
StartActionXY BMLONG5   4    p11_x    p11_y    p11_l FC+848   1 L1  // STND
ScrollBKDTo 0 -248 0 60 FC+880

define FC  FC+880  // Frame Counter
StartActionXY BMBOLF3   5    p14_x    p14_y    p14_l FC+80    1 L5  // STND
StartActionXY BMTHIN6  10    p18_x    p18_y    p18_l FC+81    0 L1  // STND
StartActionXY GWMARL1   1    p15_x    p15_y    p15_l FC+100   0 L1  // STND
StartActionXY BMJUN5   10    p14_x    p14_y    p14_l FC+192   0 L1  // STND (fall)
StartActionXY BMSTEV5  12    p16_x    p16_y    p16_l FC+193   0 L4  // SIDE
StartActionXY BMLONG6   4    p18_x    p18_y    p18_l FC+288   1 L2  // STND
StartActionXY BMTETS4  10    p14_x    p14_y    p14_l FC+292   0 L6  // STND
StartActionXY BMTHIN7  10    p18_x    p18_y    p18_l FC+352   1 L5  // STND (fall)
StartActionXY BWTINA3   4    p15_x    p15_y    p15_l FC+384   0 L1  // STND
StartActionXY BMSTEV6  10    p14_x    p14_y    p14_l FC+448   0 L5  // STND

StopAction CURTAIN3L FC+448
StopAction CURTAIN3R FC+448
StopAction CURTAIN4L FC+448
StopAction CURTAIN4R FC+448
StopAction CURTAIN5L FC+448
StopAction CURTAIN5R FC+448
ScrollBKDTo 0 -30 0 60 FC+480

define FC  FC+570  // Frame Counter
StartActionXY BMKEVN6  12    p19_x    p19_y    p19_l FC+16    0 L5  // SIDE (fall)
StartActionXY BMTETS5  10    p1C_x    p1C_y    p1C_l FC+112   0 L1  // STND
StartActionXY BMSTEV7  12    p1A_x    p1A_y    p1A_l FC+146   1 L4  // SIDE
StartActionXY BMTHIN8  10    p1B_x    p1B_y    p1B_l FC+224   0 L2  // STND (fall)
StartActionXY GWMARL2   1    p18_x    p18_y    p18_l FC+300   0 L1  // STND
StartActionXY BMLONG7   4    p1B_x    p1B_y    p1B_l FC+352   0 L1  // STND
StartActionXY BMBOLF4   5    p18_x    p18_y    p18_l FC+354   0 L5  // STND (fall)
StartActionXY BMJUN6   10    p1C_x    p1C_y    p1C_l FC+355   0 L2  // STND
StartActionXY BMSTEV8  12    p19_x    p19_y    p19_l FC+480   0 L1  // SIDE (fall)
StartActionXY GMBILL1   1    p1C_x    p1C_y    p1C_l FC+552   0 L1  // STND
StartActionXY BMKEVN7  10    p1B_x    p1B_y    p1B_l FC+560   0 L1  // STND (fall)

StopAction CURTAIN1L FC+560
StopAction CURTAIN1R FC+560
StopAction CURTAIN2L FC+560
StopAction CURTAIN2R FC+560
ScrollBKDTo 0 -30 0 0 FC+592

define FC  FC+592  // Frame Counter
EndRound FC+32

