//---------------------------------------------------------------------------
// Fonts functions
//---------------------------------------------------------------------------

#ifndef __point
   #define __point
   typedef struct
   {
      int x;
      int y;
   } point;
#endif

//-------------------------------------
// Prototypes definition
//-------------------------------------
int  SetFont (int FontNbr, u_long memptr);
void Print (char string[]);
void SetTransparency (int trans);
void FontLeftOn (int coorx, int coory);
void FontLeftOn (point p);
void FontRightOn (int coorx, int coory);
void FontRightOn (point p);
void FontCenterOn (int coorx, int coory);
void FontCenterOn (point p);
void FontVerticalOn (int coorx, int coory);
void FontVerticalOn (point p);
void SetFontDB (DoubleBuffer *DB);
void SetFontColor (int color);
void GetFontClutNumber (int *clut1, int *clut2, int *clut3);
void GetFontTextureCoor (int *coorx, int *coory);
int  ReadFont (char filename[], u_long memptr);
int  StringLength (char string[]);
void itoa (int number, char str[]);
