//---------------------------------------------------------------------------
// Script file for the level 2 of the airport
// Geoffroy Audy, October 15th 1996
//---------------------------------------------------------------------------
define  BOX1       0
define  BOX2       1
define  BOX3       2
define  BOX4       3
define  BOX5       4
define  BOX6       5
define  BOX7       6
define  BOX8       7
define  BOX9       8
define  BOX10      9
define  BOX11      10
define  BOX12      11
define  BOX13      12
define  BOX14      13
define  BOX15      14
define  REDDOOR    15
define  GUERILLA1  16
define  GUERILLA2  17
define  GUERILLA3  18
define  GUERILLA4  19
define  GUERILLA5  20
define  GUERILLA6  21
define  GUERILLA7  22
define  GUERILLA8  23
define  GUERILLA9  24
define  GUERILLA10 25
define  GUERILLA11 26
define  GUERILLA12 27
define  GUERILLA13 28
define  GUERILLA14 29
define  BIGGRLA1   30
define  BIGGRLA2   31
define  BIGGRLA3   32
define  BIGGRLA4   33
define  BIGGRLA5   34
define  BIGGRLA6   35
define  BIGGRLA7   36
define  WORKER1    37
define  WORKER2    38
define  WORKER3    39
define  WORKER4    40
define  WORKER5    41
define  WORKER6    42
define  WORKER7    43
define  WORKER8    44
define  JERRY1     45
define  JERRY2     46
define  JERRY3     47
define  JERRY4     48
define  HOLE1      49
define  HOLE2      50
define  HOLE3      51
define  HOLE4      52
define  HOLE5      53
define  HOLE6      54
define  HOLE7      55
define  HOLE8      56
define  HOLE9      57
define  HOLE10     58
define  HOLE11     59

define  HOLE12     60
define  HOLE13     61
define  HOLE14     62
define  HOLE15     63
define  HOLE16     64
define  HOLE17     65
define  HOLE18     66
define  HOLE19     67
define  HOLE20     68
define  HOLE21     69
define  HOLE22     70
define  HOLE23     71
define  SMALLBOSS  72
define  REPAIR     73
define  VICTWORKER 74
define  GRENADE1   75
define  GRENADE2   76
define  GRENADE3   77
define  GRENADE4   78
define  PATCH      79

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\AIRPORT\AIRPORT2.BKD          // BKD 0
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\AIRPORT.VAB                    // Sound fx

loadKRT \SPRITES\AIRPORT\LEVEL2\BOXES.KRT       // Char 0
ObjectCharacteristics BOX1 1540                 // Char 0 is an anm. obj
CloneCharacter BOX1                             // Char 1
CloneCharacter BOX1                             // Char 2
CloneCharacter BOX1                             // Char 3
CloneCharacter BOX1                             // Char 4
CloneCharacter BOX1                             // Char 5
CloneCharacter BOX1                             // Char 6
CloneCharacter BOX1                             // Char 7
CloneCharacter BOX1                             // Char 8
CloneCharacter BOX1                             // Char 9
CloneCharacter BOX1                             // Char 10
CloneCharacter BOX1                             // Char 11
CloneCharacter BOX1                             // Char 12
CloneCharacter BOX1                             // Char 13
CloneCharacter BOX1                             // Char 14
loadKRT \SPRITES\AIRPORT\LEVEL2\REDDOOR.KRT     // Char 15
ObjectCharacteristics REDDOOR 17536             //
loadKRT \SPRITES\AIRPORT\LEVEL1\GUERILLA.KRT    // Char 16
CloneCharacter GUERILLA1                        // Char 17
CloneCharacter GUERILLA1                        // Char 18
CloneCharacter GUERILLA1                        // Char 19
CloneCharacter GUERILLA1                        // Char 20
CloneCharacter GUERILLA1                        // Char 21
CloneCharacter GUERILLA1                        // Char 22
CloneCharacter GUERILLA1                        // Char 23
CloneCharacter GUERILLA1                        // Char 24
CloneCharacter GUERILLA1                        // Char 25
CloneCharacter GUERILLA1                        // Char 26
CloneCharacter GUERILLA1                        // Char 27
CloneCharacter GUERILLA1                        // Char 28
CloneCharacter GUERILLA1                        // Char 29
SetScale GUERILLA1 5400
SetScale GUERILLA2 5400
SetScale GUERILLA3 5400
SetScale GUERILLA4 4800
SetScale GUERILLA5 5400
SetScale GUERILLA8 5400
SetScale GUERILLA9 4500
SetScale GUERILLA12 4500
loadKRT \SPRITES\AIRPORT\LEVEL1\GASGUY.KRT      // Char 30
CloneCharacter BIGGRLA1                         // Char 31
CloneCharacter BIGGRLA1                         // Char 32
CloneCharacter BIGGRLA1                         // Char 33
CloneCharacter BIGGRLA1                         // Char 34
CloneCharacter BIGGRLA1                         // Char 35
CloneCharacter BIGGRLA1                         // Char 36
loadKRT \SPRITES\AIRPORT\LEVEL1\WORKER.KRT      // Char 37
CloneCharacter WORKER1                          // Char 38
CloneCharacter WORKER1                          // Char 39
CloneCharacter WORKER1                          // Char 40
CloneCharacter WORKER1                          // Char 41
CloneCharacter WORKER1                          // Char 42
CloneCharacter WORKER1                          // Char 43
CloneCharacter WORKER1                          // Char 44
SetScale WORKER2 3200
SetScale WORKER3 4800
SetScale WORKER4 3500
SetScale WORKER5 4500
SetScale WORKER8 3500
loadKRT \SPRITES\AIRPORT\LEVEL1\JERRY.KRT       // Char 45
CloneCharacter JERRY1                           // Char 46
CloneCharacter JERRY1                           // Char 47
CloneCharacter JERRY1                           // Char 48
SetScale JERRY1 3500
SetScale JERRY2 3200
SetScale JERRY3 3200
loadKRT \SPRITES\AIRPORT\LEVEL2\HOLE.KRT        // Char 49
CloneCharacter HOLE1                            // Char 50
CloneCharacter HOLE1                            // Char 51
CloneCharacter HOLE1                            // Char 52
CloneCharacter HOLE1                            // Char 53
CloneCharacter HOLE1                            // Char 54
CloneCharacter HOLE1                            // Char 55
CloneCharacter HOLE1                            // Char 56
CloneCharacter HOLE1                            // Char 57
CloneCharacter HOLE1                            // Char 58
CloneCharacter HOLE1                            // Char 59
CloneCharacter HOLE1                            // Char 60
CloneCharacter HOLE1                            // Char 61
CloneCharacter HOLE1                            // Char 62
CloneCharacter HOLE1                            // Char 63
CloneCharacter HOLE1                            // Char 64
CloneCharacter HOLE1                            // Char 65
CloneCharacter HOLE1                            // Char 66
CloneCharacter HOLE1                            // Char 67
CloneCharacter HOLE1                            // Char 68
CloneCharacter HOLE1                            // Char 69
CloneCharacter HOLE1                            // Char 70
CloneCharacter HOLE1                            // Char 71
loadKRT \SPRITES\AIRPORT\LEVEL2\BOSSY.KRT       // Char 72
SetTotalHitPoints SMALLBOSS 7                   //
SetScale SMALLBOSS 3800
loadKRT \SPRITES\AIRPORT\LEVEL2\REPAIR.KRT      // Char 73
ObjectCharacteristics REPAIR 1030               // Char 73 is a victim
SetScale REPAIR 4800
loadKRT \SPRITES\AIRPORT\LEVEL2\REPAIR.KRT      // Char 74 **** To be replaced
ObjectCharacteristics VICTWORKER 1030           // Char 74 is a victim
loadKRT \SPRITES\AIRPORT\LEVEL1\GRENADE.KRT     // Char 75
ObjectCharacteristics GRENADE1 1348             // Char 75 is a grenade
CloneCharacter GRENADE1                         // Char 76
CloneCharacter GRENADE1                         // Char 77
CloneCharacter GRENADE1                         // Char 78
loadKRT \SPRITES\AIRPORT\LEVEL2\PATCHY.KRT      // Char 79
ObjectCharacteristics PATCH 17408               //

PlayTrack 506 3           // Play STAGE4

AssignProjectile GUERILLA6 GRENADE1
AssignProjectile GUERILLA10 GRENADE2
AssignProjectile GUERILLA11 GRENADE3
AssignProjectile GUERILLA13 GRENADE4

//-------------------------------------
// Various objects
//-------------------------------------
StartActionXY REDDOOR    0 274 148 11    0 0 L1

//-------------------------------------
// Enemy group #1
//-------------------------------------
StartActionXY GUERILLA1 14 -10 160 13   60 0 L1
StartActionXY GUERILLA2 14 330 160 13  120 1 L1
StartActionXY WORKER1    0 150 170  3  180 0 L1
//StartActionXY BOX1       0 196 158  6  210 0 L1
StartActionXY BIGGRLA1   0 100 290 14  240 0 L1
StartActionXY REPAIR     0 200 172  9  300 1 L1
StartActionXY WORKER2    9  60  85  2  360 1 L1
StartActionXY JERRY1     6 230 145  7  420 0 L1
//StartActionXY BOX2       1 196 164  6  450 0 L1
StartActionXY WORKER3    2 205 140  7  480 0 L1
StartActionXY GUERILLA3 14 -10 160 13  540 0 L1
StartActionXY GUERILLA4 14 190 154  7  600 1 L1
StartActionXY WORKER4    9  87 170  2  660 1 L1
//StartActionXY BOX3       0 196 158  6  690 0 L1
StartActionXY BIGGRLA2   0 180 290 14  720 0 L1
StartActionXY WORKER5    4 170 165  7  780 1 L1
StartActionXY GUERILLA5  1 -20 170 13  840 0 L1
//StartActionXY BOX4       1 196 164  6  870 0 L1
StartActionXY JERRY2     2  63 175  4  900 0 L1
StartActionXY GUERILLA6  2 150 165  4  960 0 L1
StartActionXY GUERILLA7 12 220 125  9 1020 0 L1
StartActionXY GUERILLA8 14 330 160 13 1080 1 L1
//StartActionXY BOX5       0 196 158  6 1110 0 L1

ScrollBKDTo 0 -27 0 27 1140

//-------------------------------------
// Enemy group #2
//-------------------------------------
StartActionXY BIGGRLA3   0 275 290 14 1200 0 L1
StartActionXY GUERILLA9 10 200 180  7 1260 1 L1
StartActionXY GUERILLA10 2 135 165  4 1320 1 L1
StartActionXY BOX6       0 196 158  6 1350 0 L1
StartActionXY WORKER6    0 195 130  7 1380 0 L1
StartActionXY WORKER7    0 240 130  7 1440 0 L1
StartActionXY JERRY3     6 275 145  7 1500 0 L1
//StartActionXY BOX7       1 196 164  6 1530 0 L1
StartActionXY GUERILLA11 2 135 165  4 1560 1 L1
StartActionXY BIGGRLA4   0 275 290 14 1620 0 L1
StartActionXY GUERILLA12 14 190 154 7 1680 1 L1
StartActionXY JERRY4     3  35 165 13 1740 0 L1
//StartActionXY BOX8       1 196 164  6 1770 0 L1
StartActionXY GUERILLA13 2 135 160  4 1800 1 L1
//StartActionXY VICTWORKER a xxx yyy dd 1860 0 L1
StartActionXY BIGGRLA5   0 150 290 14 1920 0 L1
StartActionXY HOLE1      0 249 175 12 1940 0 L1
StartActionXY HOLE2      0 245 168 12 1950 0 L1
//StartActionXY BOX9       0 196 158  6 1955 0 L1
StartActionXY HOLE3      0 249 161 12 1960 0 L1
StartActionXY HOLE4      0 247 154 12 1970 0 L1
StartActionXY HOLE5      0 245 147 12 1980 0 L1
StartActionXY HOLE6      0 248 140 12 1990 0 L1
//StartActionXY BOX10      1 196 164  6 1995 0 L1
StartActionXY HOLE7      0 246 133 12 2000 0 L1
StartActionXY HOLE8      0 246 126 12 2010 0 L1
StartActionXY HOLE9      0 245 119 12 2020 0 L1
StartActionXY HOLE10     0 248 119 12 2030 0 L1
StartActionXY HOLE11     0 256 118 12 2040 0 L1
StartActionXY HOLE12     0 265 118 12 2050 0 L1
StartActionXY GUERILLA14 8 265  75  4 2055 0 L1
StartActionXY HOLE13     0 273 119 12 2060 0 L1
StartActionXY HOLE14     0 282 119 12 2070 0 L1
StartActionXY HOLE15     0 290 121 12 2080 0 L1
StartActionXY HOLE16     0 294 125 12 2090 0 L1
StartActionXY HOLE17     0 296 132 12 2100 0 L1
//StartActionXY BOX11      0 196 158  6 2101 0 L1
StartActionXY BIGGRLA6   0 150 290 14 2105 0 L1
StartActionXY HOLE18     0 294 139 12 2110 0 L1
StartActionXY HOLE19     0 296 146 12 2120 0 L1
StartActionXY HOLE20     0 294 153 12 2130 0 L1
StartActionXY HOLE21     0 296 160 12 2140 0 L1
StartActionXY HOLE22     0 295 167 12 2150 0 L1
StartActionXY HOLE23     0 294 175 12 2160 0 L1
StopAction HOLE1 2180
StopAction HOLE2 2180
StopAction HOLE3 2180
StopAction HOLE4 2180
StopAction HOLE5 2180
StopAction HOLE6 2180
StopAction HOLE7 2180
StopAction HOLE8 2180
StopAction HOLE9 2180
StopAction HOLE10 2180
StopAction HOLE11 2180
StopAction HOLE12 2180
StopAction HOLE13 2180
StopAction HOLE14 2180
StopAction HOLE15 2180
StopAction HOLE16 2180
StopAction HOLE17 2180
StopAction HOLE18 2180
StopAction HOLE19 2180
StopAction HOLE20 2180
StopAction HOLE21 2180
StopAction HOLE22 2180
StopAction HOLE23 2180
StartActionXY BOX12      0 196 158  6 2181 0 L1
StartActionXY PATCH      0 271 148  8 2181 0 L1 //////////////
StartActionXY REDDOOR    1 274 148 11 2182 0 L1
StartActionXY SMALLBOSS  4 260 150  9 2183 1 L1
StopAction REDDOOR 2225

ScrollBKDTo 0 -27 0 1 2250

//-------------------------------------
// Enemy group #3
//-------------------------------------
StartActionXY BIGGRLA7   0 160 290 14 2251 0 L1
StartActionXY BOX13      1 196 164  6 2280 0 L1
StartActionXY WORKER8    9 225 152  9 2310 0 L1

ScrollBKDTo 0 -27 0 27 2370

EndRound 2380
