//---------------------------------------------------------------------------
// Script file for the level 1 of the Chinatown (street)
// Geoffroy Audy, July 18th 1996
//---------------------------------------------------------------------------
define  YUKA       0
define  SMBILL     1
define  GUN        2
define  WINDOW1    3
define  WINDOW2    4
define  WINDOW3    5
define  WINDOW4    6
define  WINDOW5    7
define  WINDOW6    8
define  WINDOW7    9
define  WINDOW8    10
define  WINDOW9    11
define  WINDOW10   12
define  WINDOW11   13
define  NINJA1     14
define  NINJA2     15
define  NINJA3     16
define  NINJA4     17
define  NINJA5     18
define  NINJA6     19
define  NINJA7     20
define  NINJA8     21
define  NINJA9     22
define  NINJA10    23
define  NINJA11    24
define  NINJA12    25
define  BOB1       26
define  BOB2       27
define  BOB3       28
define  BOB4       29
define  BOB5       30
define  BOB6       31
define  BOB7       32
define  BOB8       33
define  BOB9       34
define  BOB10      35
define  BOB11      36
define  BOB12      37
define  BOB13      38
define  STC1       39
define  STC2       40
define  STC3       41
define  STC4       42
define  STC5       43
define  STC6       44
define  STC7       45
define  STC8       46
define  STC9       47
define  STC10      48
define  STC11      49
define  STC12      50
define  STC13      51
define  STC14      52
define  STC15      53
define  JACK1      54
define  JACK2      55
define  JACK3      56
define  JACK4      57
define  JACK5      58
define  JACK6      59
define  JACK7      60
define  JACK8      61
define  BLUEGIRL1  62
define  BLUEGIRL2  63
define  BLUEGIRL3  64
define  BLUEGIRL4  65
define  CHICKEN    66
define  COOK       67
define  POLICE1    68
define  POLICE2    69
define  BIGNINJA1  70
define  BIGNINJA2  71
define  BIGNINJA3  72
define  BIGNINJA4  73
define  BIGNINJA5  74
define  BIGNINJA6  75
define  BIGNINJA7  76
define  PUKEGUY    77
define  JERRY1     78
define  JERRY2     79
define  JERRY3     80
define  JERRY4     81
define  JERRY5     82
define  JERRY6     83
define  JERRY7     84
define  WHITEGUY1  85
define  WHITEGUY2  86
define  GREENGUY   87
define  NAO1       88
define  NAO2       89
define  NAO3       90
define  DOOR       91
define  KNIFE1     92
define  KNIFE2     93
define  KNIFE3     94
define  KNIFE4     95
define  KNIFE5     96
define  KNIFE6     97
define  KNIFE7     98
define  KNIFE8     99
define  KNIFE9     100
define  KNIFE10    101

define  LEVEL1     0            // Difficulty levels
define  LEVEL2     1
define  LEVEL3     2
define  LEVEL4     3
define  LEVEL5     4
define  LEVEL6     5
define  LEVEL7     6
define  LEVEL8     7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\CHINATWN\CHINA1.BKD           // BKD 0
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\CHINA.VAB                      // Sound fx

loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\YUKA.KRT    // Char 0
SetTotalHitPoints YUKA 4                              //
ObjectCharacteristics YUKA 1552                       // Char 0 is an object
CloneCharacter YUKA                                   // Char 1
ObjectCharacteristics SMBILL 1552                     // Char 1 is an object
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\WEAPON1.KRT // Char 2
ObjectCharacteristics GUN 1032                        // Char 2 is a gun
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\LONGWIN.KRT // Char 3
ObjectCharacteristics WINDOW1 1060                    // Char 3 is a window
CloneCharacter WINDOW1                                // Char 4
CloneCharacter WINDOW1                                // Char 5
CloneCharacter WINDOW1                                // Char 6
CloneCharacter WINDOW1                                // Char 7
CloneCharacter WINDOW1                                // Char 8
CloneCharacter WINDOW1                                // Char 9
CloneCharacter WINDOW1                                // Char 10
CloneCharacter WINDOW1                                // Char 11
CloneCharacter WINDOW1                                // CHar 12
SetScale WINDOW9 4736
SetScale WINDOW10 4736
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\BIGWIN.KRT  // Char 13
ObjectCharacteristics WINDOW11 1060                   // Char 13 is a window
SetScale WINDOW11 4900
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\NINJA.KRT   // Char 14
CloneCharacter NINJA1                                 // Char 15
CloneCharacter NINJA1                                 // Char 16
CloneCharacter NINJA1                                 // Char 17
CloneCharacter NINJA1                                 // Char 18
CloneCharacter NINJA1                                 // Char 19
CloneCharacter NINJA1                                 // Char 20
CloneCharacter NINJA1                                 // Char 21
CloneCharacter NINJA1                                 // Char 22
CloneCharacter NINJA1                                 // Char 23
CloneCharacter NINJA1                                 // Char 24
CloneCharacter NINJA1                                 // Char 25
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\BOB1.KRT    // Char 26
CloneCharacter BOB1                                   // Char 27
CloneCharacter BOB1                                   // Char 28
CloneCharacter BOB1                                   // Char 29
CloneCharacter BOB1                                   // Char 30
CloneCharacter BOB1                                   // Char 31
CloneCharacter BOB1                                   // Char 32
CloneCharacter BOB1                                   // Char 33
CloneCharacter BOB1                                   // Char 34
CloneCharacter BOB1                                   // Char 35
CloneCharacter BOB1                                   // Char 36
CloneCharacter BOB1                                   // Char 37
CloneCharacter BOB1                                   // Char 38
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\STC.KRT     // Char 39
CloneCharacter STC1                                   // Char 40
CloneCharacter STC1                                   // Char 41
CloneCharacter STC1                                   // Char 42
CloneCharacter STC1                                   // Char 43
CloneCharacter STC1                                   // Char 44
CloneCharacter STC1                                   // Char 45
CloneCharacter STC1                                   // Char 46
CloneCharacter STC1                                   // Char 47
CloneCharacter STC1                                   // Char 48
CloneCharacter STC1                                   // Char 49
CloneCharacter STC1                                   // Char 50
CloneCharacter STC1                                   // Char 51
CloneCharacter STC1                                   // Char 52
CloneCharacter STC1                                   // Char 53
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\JACK.KRT    // Char 54
CloneCharacter JACK1                                  // Char 55
CloneCharacter JACK1                                  // Char 56
CloneCharacter JACK1                                  // Char 57
CloneCharacter JACK1                                  // Char 58
CloneCharacter JACK1                                  // Char 59
CloneCharacter JACK1                                  // Char 60
CloneCharacter JACK1                                  // Char 61
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\SCARED.KRT  // Char 62
ObjectCharacteristics BLUEGIRL1 1030                  // Char 62 is a victim
CloneCharacter BLUEGIRL1                              // Char 63
CloneCharacter BLUEGIRL1                              // Char 64
CloneCharacter BLUEGIRL1                              // Char 65
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\CHICKEN.KRT // Char 66
ObjectCharacteristics CHICKEN 4                       // Char 66 is a chicken!
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\COOK.KRT    // Char 67
ObjectCharacteristics COOK 1030                       // Char 67 is a victim
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\POLICE.KRT  // Char 68
ObjectCharacteristics POLICE1 1030                    // Char 68 is a victim
CloneCharacter POLICE1                                // Char 69
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\BNNJ.KRT    // Char 70
CloneCharacter BIGNINJA1                              // Char 71
CloneCharacter BIGNINJA1                              // Char 72
CloneCharacter BIGNINJA1                              // Char 73
CloneCharacter BIGNINJA1                              // Char 74
CloneCharacter BIGNINJA1                              // Char 75
CloneCharacter BIGNINJA1                              // Char 76
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\PUKEGUY.KRT // Char 77
ObjectCharacteristics PUKEGUY 1030                    // Char 77 is a victim
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\JERRY.KRT   // Char 78
CloneCharacter JERRY1                                 // Char 79
CloneCharacter JERRY1                                 // Char 80
CloneCharacter JERRY1                                 // Char 81
CloneCharacter JERRY1                                 // Char 82
CloneCharacter JERRY1                                 // Char 83
CloneCharacter JERRY1                                 // Char 84
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\MNC.KRT     // Char 85
ObjectCharacteristics WHITEGUY1 1030                  // Char 85 is a victim
CloneCharacter WHITEGUY1                              // Char 86
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\KNIFE.KRT   // Char 87 //GREENGUY
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\NAO.KRT     // Char 88
CloneCharacter NAO1                                   // Char 89
CloneCharacter NAO1                                   // Char 90
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\DOOR.KRT    // Char 91
ObjectCharacteristics DOOR 1152                       // Char 91 is an object
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\KNIFE.KRT   // Char 92
ObjectCharacteristics KNIFE1 1092                     // Char 92 is a knife
CloneCharacter KNIFE1                                 // Char 93
CloneCharacter KNIFE1                                 // Char 94
CloneCharacter KNIFE1                                 // Char 95
CloneCharacter KNIFE1                                 // Char 96
CloneCharacter KNIFE1                                 // Char 97
CloneCharacter KNIFE1                                 // Char 98
CloneCharacter KNIFE1                                 // Char 99
CloneCharacter KNIFE1                                 // Char 100
CloneCharacter KNIFE1                                 // Char 101

AssignProjectile NINJA2  KNIFE1         // Give a knife for each ninja that
AssignProjectile NINJA4  KNIFE2         // throws one...
AssignProjectile NINJA5  KNIFE3         //
AssignProjectile NINJA6  KNIFE4         //
AssignProjectile NINJA7  KNIFE5         //
AssignProjectile NINJA8  KNIFE6         //
AssignProjectile NINJA9  KNIFE7         //
AssignProjectile NINJA10 KNIFE8         //
AssignProjectile NINJA11 KNIFE9         //
AssignProjectile NINJA12 KNIFE10        //

PlayTrack 506 3         // Play STAGE4

//-------------------------------------
// Various objects (boards & windows)
//-------------------------------------
StartActionXY YUKA       0 225 120  6    0 0 LEVEL1
StartActionXY SMBILL     3  47 111  6    0 0 LEVEL1
StartActionXY GUN        1 360 110 13    0 0 LEVEL1
StartActionXY WINDOW1    0  35  25  4    0 0 LEVEL1
StartActionXY WINDOW2    0 147  25  4    0 0 LEVEL1
StartActionXY WINDOW3    0 180  25  4    0 0 LEVEL1
StartActionXY WINDOW4    0 280  25  4    0 0 LEVEL1
StartActionXY WINDOW5    0 405 189  4    0 0 LEVEL1
StartActionXY WINDOW6    0 147 175  4    0 0 LEVEL1
StartActionXY WINDOW7    0 180 175  4    0 0 LEVEL1
StartActionXY WINDOW8    0 215 175  4    0 0 LEVEL1
StartActionXY WINDOW9    0 250 175  4    0 0 LEVEL1
StartActionXY WINDOW10   0 289 175  4    0 0 LEVEL1
StartActionXY WINDOW11   0 475 189  4    0 0 LEVEL1
StartActionXY DOOR       1  42 197  4    0 0 LEVEL1

//-------------------------------------
// Enemy group #1
//-------------------------------------
StartActionXY NINJA1     4  -5 215  7   64 0 LEVEL1
StartActionXY BOB1       5 340 213 11  128 1 LEVEL5
StartActionXY STC1       9 215 237  6  320 0 LEVEL1
StartActionXY JACK1      1 324 218  3  384 1 LEVEL2
StartActionXY BLUEGIRL1  1 280  80  3  576 0 LEVEL1
StartActionXY NINJA2     2 100 225  6  608 0 LEVEL1
StartActionXY STC2       9 247 235  3  704 0 LEVEL4
StartActionXY CHICKEN    0 300 220  7  892 0 LEVEL1
StartActionXY COOK       0 315 220  6  928 0 LEVEL1
StartActionXY DOOR       0  42 197  4  940 0 LEVEL1
StartActionXY JACK2      1  75 220  3  960 1 LEVEL1
StopAction DOOR 1023
StartActionXY BOB2       3 200 240  3 1024 0 LEVEL3
//StartActionXY POLICE1    0 xxx yyy 13 1100 0 LEVEL1
StartActionXY STC3       5 180  85  3 1376 0 LEVEL1
StartActionXY BIGNINJA1  0 240 300 14 1440 0 LEVEL5
StartActionXY PUKEGUY    0 -20 220  6 1632 0 LEVEL1
StartActionXY BOB3       3 205 240  3 1664 0 LEVEL1
StartActionXY STC4       9 250 240  3 1728 1 LEVEL2
StartActionXY BIGNINJA2  0  80 300 14 1920 0 LEVEL1
StartActionXY STC6       5 180  85  3 1984 0 LEVEL4
StartActionXY BOB4       0 210 240  6 2208 1 LEVEL1

ScrollBKDTo 0 -128 0 128 2272

//-------------------------------------
// Enemy group #2
//-------------------------------------
StartActionXY NINJA4     8 325 227  7 2380 0 LEVEL5
StartActionXY JERRY1     6 178 240  3 2572 0 LEVEL1
StartActionXY STC7       6 404 238 12 2636 1 LEVEL2
StartActionXY BLUEGIRL2  1 280  80  3 2828 0 LEVEL1
StartActionXY STC8       9 175 235  7 2860 0 LEVEL1
StartActionXY JACK3      2 245 228  3 2924 0 LEVEL6
StartActionXY BIGNINJA3  0 315 300 14 2956 0 LEVEL4
StartActionXY WHITEGUY1  1 315 230  6 3148 0 LEVEL1
StartActionXY BOB5       5 422 218 13 3244 1 LEVEL3
StartActionXY JERRY2     2 280  70  3 3436 0 LEVEL1
StartActionXY STC9       9 178 235  3 3500 0 LEVEL5
//StartActionXY GREENGUY   0 280 192  3 3692 0 LEVEL1
StartActionXY NAO1       3 280  85  3 3724 0 LEVEL2
StartActionXY BIGNINJA4  0 315 300 14 3852 0 LEVEL1
StartActionXY NINJA5    10 188  72  3 3916 0 LEVEL6
StartActionXY JACK5      2 212 230  3 3948 0 LEVEL4

ScrollBKDTo 0 -240 0 112 4204

//-------------------------------------
// Enemy group #3
//-------------------------------------
StartActionXY BIGNINJA5  0 315 300 14 4360 0 LEVEL1
StartActionXY NINJA6     2 290 215  6 4428 0 LEVEL5
StartActionXY POLICE2    1 240 220 13 4876 0 LEVEL1
StartActionXY JACK6      1 508 217  3 4908 1 LEVEL1
StartActionXY NINJA7     2 555 220 13 5004 1 LEVEL4
StartActionXY BIGNINJA6  0 315 300 14 5196 0 LEVEL1
StartActionXY BOB8       5 580 213 13 5260 1 LEVEL3
StartActionXY STC11      9 402 247  3 5452 0 LEVEL1
StartActionXY BOB9       5 580 213 13 5516 1 LEVEL5
StartActionXY NINJA8     8 495  80  9 5676 0 LEVEL1
StartActionXY NINJA9     8 450  80  9 5708 0 LEVEL1
StartActionXY NAO2       3 522 236 13 5740 0 LEVEL2
StartActionXY STC12      9 286 245  3 5796 1 LEVEL4
StartActionXY BLUEGIRL3  5 315 215  7 6124 0 LEVEL1
StartActionXY BOB10      0 330 246  6 6188 0 LEVEL1
StartActionXY STC13      9 525 234 13 6252 0 LEVEL3

ScrollBKDTo 0 -77 0 163 6444

//-------------------------------------
// Enemy group #4
//-------------------------------------
StartActionXY NINJA10   10 275  72  3 6604 1 LEVEL1
StartActionXY JERRY5     6 255 230  3 6668 0 LEVEL6
StartActionXY BOB11      5 402 223 13 6700 1 LEVEL4
StartActionXY BLUEGIRL4  3 178 235  3 7148 0 LEVEL1
StartActionXY JERRY6     6 214 230  3 7180 0 LEVEL1
StartActionXY JACK8      2 330 235  6 7212 0 LEVEL2
StartActionXY BIGNINJA7  0 315 300 14 7244 0 LEVEL1
StartActionXY NINJA11   10 180  72  3 7308 1 LEVEL5
StartActionXY NINJA12    2  72 220 13 7500 0 LEVEL1
StartActionXY JERRY7     6 160  78  3 7564 0 LEVEL6
StartActionXY BOB12      5 385 223  6 7596 1 LEVEL4
StartActionXY WHITEGUY2  1 175 230  6 7788 1 LEVEL1
StartActionXY STC15      9 286 247  3 7820 1 LEVEL1
StartActionXY BOB13      0 160 250  6 7852 1 LEVEL1
StartActionXY NAO3       5 115 233  3 7916 0 LEVEL2

ScrollBKDTo 0 -77 0 10 8108             // Dummy scrolling

EndRound 8240
