//---------------------------------------------------------------------------
// Script file for the level 2 of the Stage hold-up
// Geoffroy Audy, January 7th 1997
//---------------------------------------------------------------------------

define  WAGON         0
define  BARRELUP      1
define  BOSS          2
define  INSIDEWAGON   3
define  WAGONSHADOW   4
define  LEFTWHEEL     5
define  RIGHTWHEEL    6
define  BARREL1       7
define  BARREL2       8
define  BARREL3       9
define  BARREL4       10
define  BARREL5       11
define  BARRELSHADOW1 12
define  BARRELSHADOW2 13
define  BARRELSHADOW3 14
define  BARRELSHADOW4 15
define  BARRELSHADOW5 16

define  L1          0            // Difficulty levels
define  L2          1
define  L3          2
define  L4          3
define  L5          4
define  L6          5
define  L7          6
define  L8          7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\LE2\STAGE\STAGE2.BKD          //
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\LE2\STAGE.VAB                  // Sound fx

LoadKRT \SPRITES\LE2\COACH\WAGON3D.KRT          // Char 0
ObjectCharacteristics WAGON 16384               //
LoadKRT \SPRITES\LE2\COACH\BARREL.KRT           // Char 1
ObjectCharacteristics BARRELUP 132              //
LoadKRT \SPRITES\LE2\COACH\BOSS2.KRT            // Char 2
ObjectCharacteristics BOSS 2176                 //

CloneCharacter WAGON                            // Char 3
CloneCharacter WAGON                            // Char 4
CloneCharacter WAGON                            // Char 5
CloneCharacter WAGON                            // Char 6
ObjectCharacteristics WAGONSHADOW 1060          // Transparent & nokill
CloneCharacter BARRELUP                         // Char 7
CloneCharacter BARRELUP                         // Char 8
CloneCharacter BARRELUP                         // Char 9
CloneCharacter BARRELUP                         // Char 10
CloneCharacter BARRELUP                         // Char 11
CloneCharacter BARRELUP                         // Char 12
SetScale BARRELUP 4096*70/100
ObjectCharacteristics BARRELSHADOW1 16416       // Transparent & nokill
CloneCharacter BARRELSHADOW1                    // Char 13
CloneCharacter BARRELSHADOW1                    // Char 14
CloneCharacter BARRELSHADOW1                    // Char 15
CloneCharacter BARRELSHADOW1                    // Char 16

Link BARRELSHADOW1 BARREL1 4 3 0 0 400 120
Link BARRELSHADOW2 BARREL2 4 3 0 0 400 120
Link BARRELSHADOW3 BARREL3 4 3 0 0 400 120
Link BARRELSHADOW4 BARREL4 4 3 0 0 400 120
Link BARRELSHADOW5 BARREL5 4 3 0 0 400 120

//-------------------------------------
// Ba be bi bo bu
//-------------------------------------
StartActionXY WAGON    0 160 120  9 0 0 L1
Attach INSIDEWAGON WAGON 1 0  0   0 -35  7 L1
Attach LEFTWHEEL   WAGON 2 1  0 -52  62  7 L1
Attach RIGHTWHEEL  WAGON 2 0  0  52  62  7 L1
Attach WAGONSHADOW WAGON 3 0  0   0  86  7 L1
ScaleTo WAGON 3800 250 0
Attach BOSS        WAGON 3 0 150 5 0 1 L1
AddEnemyLife BOSS 150
MoveTo WAGON 162 120 2 250

PlayTrack 509 0                 // SD_BOSS1

EndRound 65000
