//---------------------------------------------------------------------------
// Script file for the Train robbery (LE2)
// Geoffroy Audy, January 17th 1997
//---------------------------------------------------------------------------

define  COWHEAD      0
define  COWTAIL      1
define  ENGINEWHEEL1 2
define  ENGINEWHEEL2 3
define  ENGINEWHEEL3 4
define  ENGINEWHEEL4 5
define  ENGINEWHEEL5 6
define  ENGINETOP    7
define  ENGINEBELL   8
define  ENGINELIGHT  9

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\LE2\TRAIN\TRAIN.BKD           //
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\LE2\TRAIN.VAB                  // Sound fx

//-------------------------------------
LoadKRT \SPRITES\LE2\TRAIN\COWHEAD.KRT          // Char 0
ObjectCharacteristics COWHEAD 1024              //
SetTotalHitPoints COWHEAD 65000                 // will not die!!!
LoadKRT \SPRITES\LE2\TRAIN\COWTAIL.KRT          // Char 1
ObjectCharacteristics COWTAIL 1024              //
SetTotalHitPoints COWTAIL 65000                 // will not die!!!
LoadKRT \SPRITES\LE2\TRAIN\ENGWEL.KRT           // Char 2
ObjectCharacteristics ENGINEWHEEL1 128          //
CloneCharacter ENGINEWHEEL1                     // Char 3
CloneCharacter ENGINEWHEEL1                     // Char 4
CloneCharacter ENGINEWHEEL1                     // Char 5
CloneCharacter ENGINEWHEEL1                     // Char 6
LoadKRT \SPRITES\LE2\TRAIN\ENGPRT.KRT           // Char 7
CloneCharacter ENGINETOP                        // Char 8
CloneCharacter ENGINETOP                        // Char 9

PlayTrack 506 3                                 // Play SD_BGM7

//-------------------------------------
// Guys in the 1st passenger's wagon
//-------------------------------------

//-------------------------------------
// Guys in the 2nd passenger's wagon
//-------------------------------------

//-------------------------------------
// Guys in the plank wagon
//-------------------------------------

//-------------------------------------
// Guys in the wood wagon
//-------------------------------------

//-------------------------------------
// Guys in the flat wagon
//-------------------------------------

//-------------------------------------
// Guys in the cows wagon
//-------------------------------------
StartActionXY COWHEAD 0 3408 131 14 6301 0 L1
StartActionXY COWTAIL 0 3440 131 14 6301 0 L1

//-------------------------------------
// Guys in the bank wagon
//-------------------------------------

//-------------------------------------
// Guys and objects in the engine
//-------------------------------------
StartActionXY ENGINEWHEEL1 3 4570 208 14 8850 1 L1
StartActionXY ENGINEWHEEL2 3 4710 208 14 8850 0 L1
StartActionXY ENGINEWHEEL3 2 5220 208 14 8850 0 L1
StartActionXY ENGINEWHEEL4 0 4927 180 14 8850 0 L1
StartActionXY ENGINEWHEEL5 1 5110 180 14 8850 0 L1

EndRound 30000
